#pragma once
#include <Arduino.h>

/*
H8I8O board definition
*/

// Inputs
#define DI1 PA15
#define DI2 PB3
#define DI3 PB4
#define DI4 PB5
#define DI5 PB6
#define DI6 PB7
#define DI7 PB8
#define DI8 PB9
#define DIAUX PC13

#define NUM_INP 9
const uint8_t inputPins[NUM_INP] = {
    DI1, DI2, DI3, DI4, DI5, DI6, DI7, DI8, DIAUX /**/
};

// Outputs
#define DO1 PA0
#define DO2 PA2
#define DO3 PA1
#define DO4 PA3
#define DO5 PA4
#define DO6 PA5
#define DO7 PA6
#define DO8 PA7
#define DOAUX PB0

#define NUM_OUT 9
const uint8_t outputPins[NUM_OUT] = {
    DO1, DO2, DO3, DO4, DO5, DO6, DO7, DO8, DOAUX /**/
};

// Inputs & Outputs combined
#define NUM_IOS (NUM_INP + NUM_OUT)
const uint8_t ioPins[NUM_IOS] = {
    DI1, DI2, DI3, DI4, DI5, DI6, DI7, DI8, DIAUX, /**/
    DO1, DO2, DO3, DO4, DO5, DO6, DO7, DO8, DOAUX  /**/
};

// Button, LED, save
#define RESET_PIN PA8 // Active low
#define BUTTON_PIN PA11
#define LED_PIN PA12
#define SAVE_PIN PB15 // Active low

// RGB
#define RGB_R_INDEX 14
#define RGB_G_INDEX 15
#define RGB_B_INDEX 16

// Scenes pins
#define SCENES_IOS NUM_INP
