#pragma once
#include <Arduino.h>
#include <AceButton.h>

#include "board_definition.h"
#include "board_io.h"

/*
    Array of KnxBoardIO
*/

KnxBoardIO *_boardIos[NUM_IOS];

// Create all KnxBoardIO objects
void initIos()
{
    for (uint8_t i = 0; i < NUM_IOS; i++)
    {
        _boardIos[i] = new KnxBoardIO(i);
    }
}

// Get KnxBoardIO by index
KnxBoardIO *getIo(uint8_t index) { return _boardIos[index]; }

// Get KnxBoardIO by AceButton (it's id, which is set as index)
KnxBoardIO *getIo(ace_button::AceButton *button) { return getIo(button->getId()); }

// Loop ios
void loopIos()
{
    for (uint8_t i = 0; i < NUM_IOS; i++)
    {
        getIo(i)->loop();
    }
}

// Struct of pins representing RGB
struct KnxRgbIos
{
    KnxBoardIO *rIo;
    KnxBoardIO *gIo;
    KnxBoardIO *bIo;
};

// Get populated KnxRgbIos
KnxRgbIos getRgbIos() { return {getIo(RGB_R_INDEX), getIo(RGB_G_INDEX), getIo(RGB_B_INDEX)}; }
