#pragma once
#include <Arduino.h>

#include "board_defaults.h"

class KnxEnergyMeter
{
private:
    float pulsesPerKwh;
    unsigned long lastPulseAt = 0;
    unsigned long pulseCount = 0;

public:
    KnxEnergyMeter(float pulsesPerKwh_ = DEFAULT_PULSES_PER_KW)
    {
        pulsesPerKwh = pulsesPerKwh_;
    }

    void pulse()
    {
        unsigned long currentTime = millis();

        if (currentTime - lastPulseAt > DEFAULT_DEBOUNCE)
        {
            pulseCount++;
            lastPulseAt = currentTime;
        }
    }

    float getEnergy()
    {
        return pulseCount / pulsesPerKwh;
    }

    void setEnergy(float energyInKwh = 0)
    {
        pulseCount = energyInKwh * pulsesPerKwh;
    }

    unsigned long getPulseCount()
    {
        return pulseCount;
    }

    void setPulseCount(unsigned long pulseCount_ = 0)
    {
        pulseCount = pulseCount_;
    }
};
