#pragma once
#include <Arduino.h>
#include <knx.h>

#include "knx_param_types.h"
#include "knxprod_AF01_10.h"

/*
    This file is generated by "generate.py" in root of project.
    Getting com objects could be done based on pin number and com object number.
    But since params are ordered automatically to save some space, getters are easier way to get them.
*/

io_mode_t getModeParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<io_mode_t>(ParamAPP_DI1_MODE);
    }
    else if (index == 1)
    {
        return static_cast<io_mode_t>(ParamAPP_DI2_MODE);
    }
    else if (index == 2)
    {
        return static_cast<io_mode_t>(ParamAPP_DI3_MODE);
    }
    else if (index == 3)
    {
        return static_cast<io_mode_t>(ParamAPP_DI4_MODE);
    }
    else if (index == 4)
    {
        return static_cast<io_mode_t>(ParamAPP_DI5_MODE);
    }
    else if (index == 5)
    {
        return static_cast<io_mode_t>(ParamAPP_DI6_MODE);
    }
    else if (index == 6)
    {
        return static_cast<io_mode_t>(ParamAPP_DI7_MODE);
    }
    else if (index == 7)
    {
        return static_cast<io_mode_t>(ParamAPP_DI8_MODE);
    }
    else if (index == 8)
    {
        return static_cast<io_mode_t>(ParamAPP_DIAUX_MODE);
    }
    else if (index == 9)
    {
        return static_cast<io_mode_t>(ParamAPP_DO1_MODE);
    }
    else if (index == 10)
    {
        return static_cast<io_mode_t>(ParamAPP_DO2_MODE);
    }
    else if (index == 11)
    {
        return static_cast<io_mode_t>(ParamAPP_DO3_MODE);
    }
    else if (index == 12)
    {
        return static_cast<io_mode_t>(ParamAPP_DO4_MODE);
    }
    else if (index == 13)
    {
        return static_cast<io_mode_t>(ParamAPP_DO5_MODE);
    }
    else if (index == 14)
    {
        return static_cast<io_mode_t>(ParamAPP_DO6_MODE);
    }
    else if (index == 15)
    {
        return static_cast<io_mode_t>(ParamAPP_DO7_MODE);
    }
    else if (index == 16)
    {
        return static_cast<io_mode_t>(ParamAPP_DO8_MODE);
    }
    /* Default return */
    return static_cast<io_mode_t>(ParamAPP_DOAUX_MODE);
}

uint8_t getDebounceParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_DEBOUNCE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_DEBOUNCE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_DEBOUNCE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_DEBOUNCE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_DEBOUNCE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_DEBOUNCE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_DEBOUNCE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_DEBOUNCE);
    }
    else if (index == 8)
    {
        return static_cast<uint8_t>(ParamAPP_DIAUX_DEBOUNCE);
    }
    else if (index == 9)
    {
        return static_cast<uint8_t>(ParamAPP_DO1_DEBOUNCE);
    }
    else if (index == 10)
    {
        return static_cast<uint8_t>(ParamAPP_DO2_DEBOUNCE);
    }
    else if (index == 11)
    {
        return static_cast<uint8_t>(ParamAPP_DO3_DEBOUNCE);
    }
    else if (index == 12)
    {
        return static_cast<uint8_t>(ParamAPP_DO4_DEBOUNCE);
    }
    else if (index == 13)
    {
        return static_cast<uint8_t>(ParamAPP_DO5_DEBOUNCE);
    }
    else if (index == 14)
    {
        return static_cast<uint8_t>(ParamAPP_DO6_DEBOUNCE);
    }
    else if (index == 15)
    {
        return static_cast<uint8_t>(ParamAPP_DO7_DEBOUNCE);
    }
    else if (index == 16)
    {
        return static_cast<uint8_t>(ParamAPP_DO8_DEBOUNCE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DOAUX_DEBOUNCE);
}

init_state_t getInitStateParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<init_state_t>(ParamAPP_DI1_INIT_STATE);
    }
    else if (index == 1)
    {
        return static_cast<init_state_t>(ParamAPP_DI2_INIT_STATE);
    }
    else if (index == 2)
    {
        return static_cast<init_state_t>(ParamAPP_DI3_INIT_STATE);
    }
    else if (index == 3)
    {
        return static_cast<init_state_t>(ParamAPP_DI4_INIT_STATE);
    }
    else if (index == 4)
    {
        return static_cast<init_state_t>(ParamAPP_DI5_INIT_STATE);
    }
    else if (index == 5)
    {
        return static_cast<init_state_t>(ParamAPP_DI6_INIT_STATE);
    }
    else if (index == 6)
    {
        return static_cast<init_state_t>(ParamAPP_DI7_INIT_STATE);
    }
    else if (index == 7)
    {
        return static_cast<init_state_t>(ParamAPP_DI8_INIT_STATE);
    }
    else if (index == 8)
    {
        return static_cast<init_state_t>(ParamAPP_DIAUX_INIT_STATE);
    }
    else if (index == 9)
    {
        return static_cast<init_state_t>(ParamAPP_DO1_INIT_STATE);
    }
    else if (index == 10)
    {
        return static_cast<init_state_t>(ParamAPP_DO2_INIT_STATE);
    }
    else if (index == 11)
    {
        return static_cast<init_state_t>(ParamAPP_DO3_INIT_STATE);
    }
    else if (index == 12)
    {
        return static_cast<init_state_t>(ParamAPP_DO4_INIT_STATE);
    }
    else if (index == 13)
    {
        return static_cast<init_state_t>(ParamAPP_DO5_INIT_STATE);
    }
    else if (index == 14)
    {
        return static_cast<init_state_t>(ParamAPP_DO6_INIT_STATE);
    }
    else if (index == 15)
    {
        return static_cast<init_state_t>(ParamAPP_DO7_INIT_STATE);
    }
    else if (index == 16)
    {
        return static_cast<init_state_t>(ParamAPP_DO8_INIT_STATE);
    }
    /* Default return */
    return static_cast<init_state_t>(ParamAPP_DOAUX_INIT_STATE);
}

switch_type_t getSwitchTypeParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<switch_type_t>(ParamAPP_DI1_SWITCH_TYPE);
    }
    else if (index == 1)
    {
        return static_cast<switch_type_t>(ParamAPP_DI2_SWITCH_TYPE);
    }
    else if (index == 2)
    {
        return static_cast<switch_type_t>(ParamAPP_DI3_SWITCH_TYPE);
    }
    else if (index == 3)
    {
        return static_cast<switch_type_t>(ParamAPP_DI4_SWITCH_TYPE);
    }
    else if (index == 4)
    {
        return static_cast<switch_type_t>(ParamAPP_DI5_SWITCH_TYPE);
    }
    else if (index == 5)
    {
        return static_cast<switch_type_t>(ParamAPP_DI6_SWITCH_TYPE);
    }
    else if (index == 6)
    {
        return static_cast<switch_type_t>(ParamAPP_DI7_SWITCH_TYPE);
    }
    else if (index == 7)
    {
        return static_cast<switch_type_t>(ParamAPP_DI8_SWITCH_TYPE);
    }
    else if (index == 8)
    {
        return static_cast<switch_type_t>(ParamAPP_DIAUX_SWITCH_TYPE);
    }
    else if (index == 9)
    {
        return static_cast<switch_type_t>(ParamAPP_DO1_SWITCH_TYPE);
    }
    else if (index == 10)
    {
        return static_cast<switch_type_t>(ParamAPP_DO2_SWITCH_TYPE);
    }
    else if (index == 11)
    {
        return static_cast<switch_type_t>(ParamAPP_DO3_SWITCH_TYPE);
    }
    else if (index == 12)
    {
        return static_cast<switch_type_t>(ParamAPP_DO4_SWITCH_TYPE);
    }
    else if (index == 13)
    {
        return static_cast<switch_type_t>(ParamAPP_DO5_SWITCH_TYPE);
    }
    else if (index == 14)
    {
        return static_cast<switch_type_t>(ParamAPP_DO6_SWITCH_TYPE);
    }
    else if (index == 15)
    {
        return static_cast<switch_type_t>(ParamAPP_DO7_SWITCH_TYPE);
    }
    else if (index == 16)
    {
        return static_cast<switch_type_t>(ParamAPP_DO8_SWITCH_TYPE);
    }
    /* Default return */
    return static_cast<switch_type_t>(ParamAPP_DOAUX_SWITCH_TYPE);
}

uint16_t getEMPulsesParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint16_t>(ParamAPP_DI1_EM_PULSES);
    }
    else if (index == 1)
    {
        return static_cast<uint16_t>(ParamAPP_DI2_EM_PULSES);
    }
    else if (index == 2)
    {
        return static_cast<uint16_t>(ParamAPP_DI3_EM_PULSES);
    }
    else if (index == 3)
    {
        return static_cast<uint16_t>(ParamAPP_DI4_EM_PULSES);
    }
    else if (index == 4)
    {
        return static_cast<uint16_t>(ParamAPP_DI5_EM_PULSES);
    }
    else if (index == 5)
    {
        return static_cast<uint16_t>(ParamAPP_DI6_EM_PULSES);
    }
    else if (index == 6)
    {
        return static_cast<uint16_t>(ParamAPP_DI7_EM_PULSES);
    }
    else if (index == 7)
    {
        return static_cast<uint16_t>(ParamAPP_DI8_EM_PULSES);
    }
    else if (index == 8)
    {
        return static_cast<uint16_t>(ParamAPP_DIAUX_EM_PULSES);
    }
    else if (index == 9)
    {
        return static_cast<uint16_t>(ParamAPP_DO1_EM_PULSES);
    }
    else if (index == 10)
    {
        return static_cast<uint16_t>(ParamAPP_DO2_EM_PULSES);
    }
    else if (index == 11)
    {
        return static_cast<uint16_t>(ParamAPP_DO3_EM_PULSES);
    }
    else if (index == 12)
    {
        return static_cast<uint16_t>(ParamAPP_DO4_EM_PULSES);
    }
    else if (index == 13)
    {
        return static_cast<uint16_t>(ParamAPP_DO5_EM_PULSES);
    }
    else if (index == 14)
    {
        return static_cast<uint16_t>(ParamAPP_DO6_EM_PULSES);
    }
    else if (index == 15)
    {
        return static_cast<uint16_t>(ParamAPP_DO7_EM_PULSES);
    }
    else if (index == 16)
    {
        return static_cast<uint16_t>(ParamAPP_DO8_EM_PULSES);
    }
    /* Default return */
    return static_cast<uint16_t>(ParamAPP_DOAUX_EM_PULSES);
}

em_cyclic_t getEMCyclicParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI1_EM_CYCLIC);
    }
    else if (index == 1)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI2_EM_CYCLIC);
    }
    else if (index == 2)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI3_EM_CYCLIC);
    }
    else if (index == 3)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI4_EM_CYCLIC);
    }
    else if (index == 4)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI5_EM_CYCLIC);
    }
    else if (index == 5)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI6_EM_CYCLIC);
    }
    else if (index == 6)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI7_EM_CYCLIC);
    }
    else if (index == 7)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DI8_EM_CYCLIC);
    }
    else if (index == 8)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DIAUX_EM_CYCLIC);
    }
    else if (index == 9)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO1_EM_CYCLIC);
    }
    else if (index == 10)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO2_EM_CYCLIC);
    }
    else if (index == 11)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO3_EM_CYCLIC);
    }
    else if (index == 12)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO4_EM_CYCLIC);
    }
    else if (index == 13)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO5_EM_CYCLIC);
    }
    else if (index == 14)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO6_EM_CYCLIC);
    }
    else if (index == 15)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO7_EM_CYCLIC);
    }
    else if (index == 16)
    {
        return static_cast<em_cyclic_t>(ParamAPP_DO8_EM_CYCLIC);
    }
    /* Default return */
    return static_cast<em_cyclic_t>(ParamAPP_DOAUX_EM_CYCLIC);
}

uint16_t getEMCbKwmParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint16_t>(ParamAPP_DI1_CB_KWH);
    }
    else if (index == 1)
    {
        return static_cast<uint16_t>(ParamAPP_DI2_CB_KWH);
    }
    else if (index == 2)
    {
        return static_cast<uint16_t>(ParamAPP_DI3_CB_KWH);
    }
    else if (index == 3)
    {
        return static_cast<uint16_t>(ParamAPP_DI4_CB_KWH);
    }
    else if (index == 4)
    {
        return static_cast<uint16_t>(ParamAPP_DI5_CB_KWH);
    }
    else if (index == 5)
    {
        return static_cast<uint16_t>(ParamAPP_DI6_CB_KWH);
    }
    else if (index == 6)
    {
        return static_cast<uint16_t>(ParamAPP_DI7_CB_KWH);
    }
    else if (index == 7)
    {
        return static_cast<uint16_t>(ParamAPP_DI8_CB_KWH);
    }
    else if (index == 8)
    {
        return static_cast<uint16_t>(ParamAPP_DIAUX_CB_KWH);
    }
    else if (index == 9)
    {
        return static_cast<uint16_t>(ParamAPP_DO1_CB_KWH);
    }
    else if (index == 10)
    {
        return static_cast<uint16_t>(ParamAPP_DO2_CB_KWH);
    }
    else if (index == 11)
    {
        return static_cast<uint16_t>(ParamAPP_DO3_CB_KWH);
    }
    else if (index == 12)
    {
        return static_cast<uint16_t>(ParamAPP_DO4_CB_KWH);
    }
    else if (index == 13)
    {
        return static_cast<uint16_t>(ParamAPP_DO5_CB_KWH);
    }
    else if (index == 14)
    {
        return static_cast<uint16_t>(ParamAPP_DO6_CB_KWH);
    }
    else if (index == 15)
    {
        return static_cast<uint16_t>(ParamAPP_DO7_CB_KWH);
    }
    else if (index == 16)
    {
        return static_cast<uint16_t>(ParamAPP_DO8_CB_KWH);
    }
    /* Default return */
    return static_cast<uint16_t>(ParamAPP_DOAUX_CB_KWH);
}

uint16_t getEMCyclicDelayParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint16_t>(ParamAPP_DI1_CYCLIC_DELAY);
    }
    else if (index == 1)
    {
        return static_cast<uint16_t>(ParamAPP_DI2_CYCLIC_DELAY);
    }
    else if (index == 2)
    {
        return static_cast<uint16_t>(ParamAPP_DI3_CYCLIC_DELAY);
    }
    else if (index == 3)
    {
        return static_cast<uint16_t>(ParamAPP_DI4_CYCLIC_DELAY);
    }
    else if (index == 4)
    {
        return static_cast<uint16_t>(ParamAPP_DI5_CYCLIC_DELAY);
    }
    else if (index == 5)
    {
        return static_cast<uint16_t>(ParamAPP_DI6_CYCLIC_DELAY);
    }
    else if (index == 6)
    {
        return static_cast<uint16_t>(ParamAPP_DI7_CYCLIC_DELAY);
    }
    else if (index == 7)
    {
        return static_cast<uint16_t>(ParamAPP_DI8_CYCLIC_DELAY);
    }
    else if (index == 8)
    {
        return static_cast<uint16_t>(ParamAPP_DIAUX_CYCLIC_DELAY);
    }
    else if (index == 9)
    {
        return static_cast<uint16_t>(ParamAPP_DO1_CYCLIC_DELAY);
    }
    else if (index == 10)
    {
        return static_cast<uint16_t>(ParamAPP_DO2_CYCLIC_DELAY);
    }
    else if (index == 11)
    {
        return static_cast<uint16_t>(ParamAPP_DO3_CYCLIC_DELAY);
    }
    else if (index == 12)
    {
        return static_cast<uint16_t>(ParamAPP_DO4_CYCLIC_DELAY);
    }
    else if (index == 13)
    {
        return static_cast<uint16_t>(ParamAPP_DO5_CYCLIC_DELAY);
    }
    else if (index == 14)
    {
        return static_cast<uint16_t>(ParamAPP_DO6_CYCLIC_DELAY);
    }
    else if (index == 15)
    {
        return static_cast<uint16_t>(ParamAPP_DO7_CYCLIC_DELAY);
    }
    else if (index == 16)
    {
        return static_cast<uint16_t>(ParamAPP_DO8_CYCLIC_DELAY);
    }
    /* Default return */
    return static_cast<uint16_t>(ParamAPP_DOAUX_CYCLIC_DELAY);
}

uint8_t getInitStateOutParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_INIT_STATE_OUT);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_INIT_STATE_OUT);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_INIT_STATE_OUT);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_INIT_STATE_OUT);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_INIT_STATE_OUT);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_INIT_STATE_OUT);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_INIT_STATE_OUT);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_INIT_STATE_OUT);
    }
    else if (index == 8)
    {
        return static_cast<uint8_t>(ParamAPP_DIAUX_INIT_STATE_OUT);
    }
    else if (index == 9)
    {
        return static_cast<uint8_t>(ParamAPP_DO1_INIT_STATE_OUT);
    }
    else if (index == 10)
    {
        return static_cast<uint8_t>(ParamAPP_DO2_INIT_STATE_OUT);
    }
    else if (index == 11)
    {
        return static_cast<uint8_t>(ParamAPP_DO3_INIT_STATE_OUT);
    }
    else if (index == 12)
    {
        return static_cast<uint8_t>(ParamAPP_DO4_INIT_STATE_OUT);
    }
    else if (index == 13)
    {
        return static_cast<uint8_t>(ParamAPP_DO5_INIT_STATE_OUT);
    }
    else if (index == 14)
    {
        return static_cast<uint8_t>(ParamAPP_DO6_INIT_STATE_OUT);
    }
    else if (index == 15)
    {
        return static_cast<uint8_t>(ParamAPP_DO7_INIT_STATE_OUT);
    }
    else if (index == 16)
    {
        return static_cast<uint8_t>(ParamAPP_DO8_INIT_STATE_OUT);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DOAUX_INIT_STATE_OUT);
}

uint8_t getInitStatePwmOutParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_INIT_STATE_PWM_OUT);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_INIT_STATE_PWM_OUT);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_INIT_STATE_PWM_OUT);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_INIT_STATE_PWM_OUT);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_INIT_STATE_PWM_OUT);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_INIT_STATE_PWM_OUT);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_INIT_STATE_PWM_OUT);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_INIT_STATE_PWM_OUT);
    }
    else if (index == 8)
    {
        return static_cast<uint8_t>(ParamAPP_DIAUX_INIT_STATE_PWM_OUT);
    }
    else if (index == 9)
    {
        return static_cast<uint8_t>(ParamAPP_DO1_INIT_STATE_PWM_OUT);
    }
    else if (index == 10)
    {
        return static_cast<uint8_t>(ParamAPP_DO2_INIT_STATE_PWM_OUT);
    }
    else if (index == 11)
    {
        return static_cast<uint8_t>(ParamAPP_DO3_INIT_STATE_PWM_OUT);
    }
    else if (index == 12)
    {
        return static_cast<uint8_t>(ParamAPP_DO4_INIT_STATE_PWM_OUT);
    }
    else if (index == 13)
    {
        return static_cast<uint8_t>(ParamAPP_DO5_INIT_STATE_PWM_OUT);
    }
    else if (index == 14)
    {
        return static_cast<uint8_t>(ParamAPP_DO6_INIT_STATE_PWM_OUT);
    }
    else if (index == 15)
    {
        return static_cast<uint8_t>(ParamAPP_DO7_INIT_STATE_PWM_OUT);
    }
    else if (index == 16)
    {
        return static_cast<uint8_t>(ParamAPP_DO8_INIT_STATE_PWM_OUT);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DOAUX_INIT_STATE_PWM_OUT);
}

uint16_t getLpDelayParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint16_t>(ParamAPP_DI1_LP_DELAY);
    }
    else if (index == 1)
    {
        return static_cast<uint16_t>(ParamAPP_DI2_LP_DELAY);
    }
    else if (index == 2)
    {
        return static_cast<uint16_t>(ParamAPP_DI3_LP_DELAY);
    }
    else if (index == 3)
    {
        return static_cast<uint16_t>(ParamAPP_DI4_LP_DELAY);
    }
    else if (index == 4)
    {
        return static_cast<uint16_t>(ParamAPP_DI5_LP_DELAY);
    }
    else if (index == 5)
    {
        return static_cast<uint16_t>(ParamAPP_DI6_LP_DELAY);
    }
    else if (index == 6)
    {
        return static_cast<uint16_t>(ParamAPP_DI7_LP_DELAY);
    }
    else if (index == 7)
    {
        return static_cast<uint16_t>(ParamAPP_DI8_LP_DELAY);
    }
    else if (index == 8)
    {
        return static_cast<uint16_t>(ParamAPP_DIAUX_LP_DELAY);
    }
    else if (index == 9)
    {
        return static_cast<uint16_t>(ParamAPP_DO1_LP_DELAY);
    }
    else if (index == 10)
    {
        return static_cast<uint16_t>(ParamAPP_DO2_LP_DELAY);
    }
    else if (index == 11)
    {
        return static_cast<uint16_t>(ParamAPP_DO3_LP_DELAY);
    }
    else if (index == 12)
    {
        return static_cast<uint16_t>(ParamAPP_DO4_LP_DELAY);
    }
    else if (index == 13)
    {
        return static_cast<uint16_t>(ParamAPP_DO5_LP_DELAY);
    }
    else if (index == 14)
    {
        return static_cast<uint16_t>(ParamAPP_DO6_LP_DELAY);
    }
    else if (index == 15)
    {
        return static_cast<uint16_t>(ParamAPP_DO7_LP_DELAY);
    }
    else if (index == 16)
    {
        return static_cast<uint16_t>(ParamAPP_DO8_LP_DELAY);
    }
    /* Default return */
    return static_cast<uint16_t>(ParamAPP_DOAUX_LP_DELAY);
}

uint8_t getDcEnabledParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_IN_DC_ENABLED);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_IN_DC_ENABLED);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_IN_DC_ENABLED);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_IN_DC_ENABLED);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_IN_DC_ENABLED);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_IN_DC_ENABLED);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_IN_DC_ENABLED);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_IN_DC_ENABLED);
    }
    else if (index == 8)
    {
        return static_cast<uint8_t>(ParamAPP_DIAUX_IN_DC_ENABLED);
    }
    else if (index == 9)
    {
        return static_cast<uint8_t>(ParamAPP_DO1_IN_DC_ENABLED);
    }
    else if (index == 10)
    {
        return static_cast<uint8_t>(ParamAPP_DO2_IN_DC_ENABLED);
    }
    else if (index == 11)
    {
        return static_cast<uint8_t>(ParamAPP_DO3_IN_DC_ENABLED);
    }
    else if (index == 12)
    {
        return static_cast<uint8_t>(ParamAPP_DO4_IN_DC_ENABLED);
    }
    else if (index == 13)
    {
        return static_cast<uint8_t>(ParamAPP_DO5_IN_DC_ENABLED);
    }
    else if (index == 14)
    {
        return static_cast<uint8_t>(ParamAPP_DO6_IN_DC_ENABLED);
    }
    else if (index == 15)
    {
        return static_cast<uint8_t>(ParamAPP_DO7_IN_DC_ENABLED);
    }
    else if (index == 16)
    {
        return static_cast<uint8_t>(ParamAPP_DO8_IN_DC_ENABLED);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DOAUX_IN_DC_ENABLED);
}

uint8_t getLpEnabledParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_IN_LP_ENABLED);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_IN_LP_ENABLED);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_IN_LP_ENABLED);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_IN_LP_ENABLED);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_IN_LP_ENABLED);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_IN_LP_ENABLED);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_IN_LP_ENABLED);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_IN_LP_ENABLED);
    }
    else if (index == 8)
    {
        return static_cast<uint8_t>(ParamAPP_DIAUX_IN_LP_ENABLED);
    }
    else if (index == 9)
    {
        return static_cast<uint8_t>(ParamAPP_DO1_IN_LP_ENABLED);
    }
    else if (index == 10)
    {
        return static_cast<uint8_t>(ParamAPP_DO2_IN_LP_ENABLED);
    }
    else if (index == 11)
    {
        return static_cast<uint8_t>(ParamAPP_DO3_IN_LP_ENABLED);
    }
    else if (index == 12)
    {
        return static_cast<uint8_t>(ParamAPP_DO4_IN_LP_ENABLED);
    }
    else if (index == 13)
    {
        return static_cast<uint8_t>(ParamAPP_DO5_IN_LP_ENABLED);
    }
    else if (index == 14)
    {
        return static_cast<uint8_t>(ParamAPP_DO6_IN_LP_ENABLED);
    }
    else if (index == 15)
    {
        return static_cast<uint8_t>(ParamAPP_DO7_IN_LP_ENABLED);
    }
    else if (index == 16)
    {
        return static_cast<uint8_t>(ParamAPP_DO8_IN_LP_ENABLED);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DOAUX_IN_LP_ENABLED);
}

scene_type_t getSceneTypeAParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<scene_type_t>(ParamAPP_DI1_SCENE_TYPE_A);
    }
    else if (index == 1)
    {
        return static_cast<scene_type_t>(ParamAPP_DI2_SCENE_TYPE_A);
    }
    else if (index == 2)
    {
        return static_cast<scene_type_t>(ParamAPP_DI3_SCENE_TYPE_A);
    }
    else if (index == 3)
    {
        return static_cast<scene_type_t>(ParamAPP_DI4_SCENE_TYPE_A);
    }
    else if (index == 4)
    {
        return static_cast<scene_type_t>(ParamAPP_DI5_SCENE_TYPE_A);
    }
    else if (index == 5)
    {
        return static_cast<scene_type_t>(ParamAPP_DI6_SCENE_TYPE_A);
    }
    else if (index == 6)
    {
        return static_cast<scene_type_t>(ParamAPP_DI7_SCENE_TYPE_A);
    }
    else if (index == 7)
    {
        return static_cast<scene_type_t>(ParamAPP_DI8_SCENE_TYPE_A);
    }
    /* Default return */
    return static_cast<scene_type_t>(ParamAPP_DIAUX_SCENE_TYPE_A);
}

scene_type_t getSceneTypeBParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<scene_type_t>(ParamAPP_DI1_SCENE_TYPE_B);
    }
    else if (index == 1)
    {
        return static_cast<scene_type_t>(ParamAPP_DI2_SCENE_TYPE_B);
    }
    else if (index == 2)
    {
        return static_cast<scene_type_t>(ParamAPP_DI3_SCENE_TYPE_B);
    }
    else if (index == 3)
    {
        return static_cast<scene_type_t>(ParamAPP_DI4_SCENE_TYPE_B);
    }
    else if (index == 4)
    {
        return static_cast<scene_type_t>(ParamAPP_DI5_SCENE_TYPE_B);
    }
    else if (index == 5)
    {
        return static_cast<scene_type_t>(ParamAPP_DI6_SCENE_TYPE_B);
    }
    else if (index == 6)
    {
        return static_cast<scene_type_t>(ParamAPP_DI7_SCENE_TYPE_B);
    }
    else if (index == 7)
    {
        return static_cast<scene_type_t>(ParamAPP_DI8_SCENE_TYPE_B);
    }
    /* Default return */
    return static_cast<scene_type_t>(ParamAPP_DIAUX_SCENE_TYPE_B);
}

scene_type_t getSceneTypeCParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<scene_type_t>(ParamAPP_DI1_SCENE_TYPE_C);
    }
    else if (index == 1)
    {
        return static_cast<scene_type_t>(ParamAPP_DI2_SCENE_TYPE_C);
    }
    else if (index == 2)
    {
        return static_cast<scene_type_t>(ParamAPP_DI3_SCENE_TYPE_C);
    }
    else if (index == 3)
    {
        return static_cast<scene_type_t>(ParamAPP_DI4_SCENE_TYPE_C);
    }
    else if (index == 4)
    {
        return static_cast<scene_type_t>(ParamAPP_DI5_SCENE_TYPE_C);
    }
    else if (index == 5)
    {
        return static_cast<scene_type_t>(ParamAPP_DI6_SCENE_TYPE_C);
    }
    else if (index == 6)
    {
        return static_cast<scene_type_t>(ParamAPP_DI7_SCENE_TYPE_C);
    }
    else if (index == 7)
    {
        return static_cast<scene_type_t>(ParamAPP_DI8_SCENE_TYPE_C);
    }
    /* Default return */
    return static_cast<scene_type_t>(ParamAPP_DIAUX_SCENE_TYPE_C);
}

scene_type_t getSceneTypeDParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<scene_type_t>(ParamAPP_DI1_SCENE_TYPE_D);
    }
    else if (index == 1)
    {
        return static_cast<scene_type_t>(ParamAPP_DI2_SCENE_TYPE_D);
    }
    else if (index == 2)
    {
        return static_cast<scene_type_t>(ParamAPP_DI3_SCENE_TYPE_D);
    }
    else if (index == 3)
    {
        return static_cast<scene_type_t>(ParamAPP_DI4_SCENE_TYPE_D);
    }
    else if (index == 4)
    {
        return static_cast<scene_type_t>(ParamAPP_DI5_SCENE_TYPE_D);
    }
    else if (index == 5)
    {
        return static_cast<scene_type_t>(ParamAPP_DI6_SCENE_TYPE_D);
    }
    else if (index == 6)
    {
        return static_cast<scene_type_t>(ParamAPP_DI7_SCENE_TYPE_D);
    }
    else if (index == 7)
    {
        return static_cast<scene_type_t>(ParamAPP_DI8_SCENE_TYPE_D);
    }
    /* Default return */
    return static_cast<scene_type_t>(ParamAPP_DIAUX_SCENE_TYPE_D);
}

uint8_t getSceneValue1BitAParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_A_1BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_A_1BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_A_1BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_A_1BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_A_1BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_A_1BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_A_1BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_A_1BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_A_1BIT_VALUE);
}

uint8_t getSceneValue1BitBParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_B_1BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_B_1BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_B_1BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_B_1BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_B_1BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_B_1BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_B_1BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_B_1BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_B_1BIT_VALUE);
}

uint8_t getSceneValue1BitCParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_C_1BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_C_1BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_C_1BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_C_1BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_C_1BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_C_1BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_C_1BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_C_1BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_C_1BIT_VALUE);
}

uint8_t getSceneValue1BitDParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_D_1BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_D_1BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_D_1BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_D_1BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_D_1BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_D_1BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_D_1BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_D_1BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_D_1BIT_VALUE);
}

uint8_t getSceneValue8BitAParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_A_8BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_A_8BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_A_8BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_A_8BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_A_8BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_A_8BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_A_8BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_A_8BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_A_8BIT_VALUE);
}

uint8_t getSceneValue8BitBParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_B_8BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_B_8BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_B_8BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_B_8BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_B_8BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_B_8BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_B_8BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_B_8BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_B_8BIT_VALUE);
}

uint8_t getSceneValue8BitCParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_C_8BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_C_8BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_C_8BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_C_8BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_C_8BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_C_8BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_C_8BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_C_8BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_C_8BIT_VALUE);
}

uint8_t getSceneValue8BitDParam(uint8_t index)
{
    if (index == 0)
    {
        return static_cast<uint8_t>(ParamAPP_DI1_SCENE_TYPE_D_8BIT_VALUE);
    }
    else if (index == 1)
    {
        return static_cast<uint8_t>(ParamAPP_DI2_SCENE_TYPE_D_8BIT_VALUE);
    }
    else if (index == 2)
    {
        return static_cast<uint8_t>(ParamAPP_DI3_SCENE_TYPE_D_8BIT_VALUE);
    }
    else if (index == 3)
    {
        return static_cast<uint8_t>(ParamAPP_DI4_SCENE_TYPE_D_8BIT_VALUE);
    }
    else if (index == 4)
    {
        return static_cast<uint8_t>(ParamAPP_DI5_SCENE_TYPE_D_8BIT_VALUE);
    }
    else if (index == 5)
    {
        return static_cast<uint8_t>(ParamAPP_DI6_SCENE_TYPE_D_8BIT_VALUE);
    }
    else if (index == 6)
    {
        return static_cast<uint8_t>(ParamAPP_DI7_SCENE_TYPE_D_8BIT_VALUE);
    }
    else if (index == 7)
    {
        return static_cast<uint8_t>(ParamAPP_DI8_SCENE_TYPE_D_8BIT_VALUE);
    }
    /* Default return */
    return static_cast<uint8_t>(ParamAPP_DIAUX_SCENE_TYPE_D_8BIT_VALUE);
}

GroupObject &getGroupObjectIn(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_IN;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_IN;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_IN;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_IN;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_IN;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_IN;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_IN;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_IN;
    }
    else if (index == 8)
    {
        return KoAPP_DIAUX_IN;
    }
    else if (index == 9)
    {
        return KoAPP_DO1_IN;
    }
    else if (index == 10)
    {
        return KoAPP_DO2_IN;
    }
    else if (index == 11)
    {
        return KoAPP_DO3_IN;
    }
    else if (index == 12)
    {
        return KoAPP_DO4_IN;
    }
    else if (index == 13)
    {
        return KoAPP_DO5_IN;
    }
    else if (index == 14)
    {
        return KoAPP_DO6_IN;
    }
    else if (index == 15)
    {
        return KoAPP_DO7_IN;
    }
    else if (index == 16)
    {
        return KoAPP_DO8_IN;
    }
    /* Default return */
    return KoAPP_DOAUX_IN;
}

uint8_t getIndexIn(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_IN)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_IN)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_IN)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_IN)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_IN)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_IN)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_IN)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_IN)
    {
        return 7;
    }
    else if (go.asap() == APP_KoDIAUX_IN)
    {
        return 8;
    }
    else if (go.asap() == APP_KoDO1_IN)
    {
        return 9;
    }
    else if (go.asap() == APP_KoDO2_IN)
    {
        return 10;
    }
    else if (go.asap() == APP_KoDO3_IN)
    {
        return 11;
    }
    else if (go.asap() == APP_KoDO4_IN)
    {
        return 12;
    }
    else if (go.asap() == APP_KoDO5_IN)
    {
        return 13;
    }
    else if (go.asap() == APP_KoDO6_IN)
    {
        return 14;
    }
    else if (go.asap() == APP_KoDO7_IN)
    {
        return 15;
    }
    else if (go.asap() == APP_KoDO8_IN)
    {
        return 16;
    }
    /* Default return */
    return 17;
}

GroupObject &getGroupObjectInDc(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_IN_DC;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_IN_DC;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_IN_DC;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_IN_DC;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_IN_DC;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_IN_DC;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_IN_DC;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_IN_DC;
    }
    else if (index == 8)
    {
        return KoAPP_DIAUX_IN_DC;
    }
    else if (index == 9)
    {
        return KoAPP_DO1_IN_DC;
    }
    else if (index == 10)
    {
        return KoAPP_DO2_IN_DC;
    }
    else if (index == 11)
    {
        return KoAPP_DO3_IN_DC;
    }
    else if (index == 12)
    {
        return KoAPP_DO4_IN_DC;
    }
    else if (index == 13)
    {
        return KoAPP_DO5_IN_DC;
    }
    else if (index == 14)
    {
        return KoAPP_DO6_IN_DC;
    }
    else if (index == 15)
    {
        return KoAPP_DO7_IN_DC;
    }
    else if (index == 16)
    {
        return KoAPP_DO8_IN_DC;
    }
    /* Default return */
    return KoAPP_DOAUX_IN_DC;
}

uint8_t getIndexInDc(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_IN_DC)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_IN_DC)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_IN_DC)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_IN_DC)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_IN_DC)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_IN_DC)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_IN_DC)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_IN_DC)
    {
        return 7;
    }
    else if (go.asap() == APP_KoDIAUX_IN_DC)
    {
        return 8;
    }
    else if (go.asap() == APP_KoDO1_IN_DC)
    {
        return 9;
    }
    else if (go.asap() == APP_KoDO2_IN_DC)
    {
        return 10;
    }
    else if (go.asap() == APP_KoDO3_IN_DC)
    {
        return 11;
    }
    else if (go.asap() == APP_KoDO4_IN_DC)
    {
        return 12;
    }
    else if (go.asap() == APP_KoDO5_IN_DC)
    {
        return 13;
    }
    else if (go.asap() == APP_KoDO6_IN_DC)
    {
        return 14;
    }
    else if (go.asap() == APP_KoDO7_IN_DC)
    {
        return 15;
    }
    else if (go.asap() == APP_KoDO8_IN_DC)
    {
        return 16;
    }
    /* Default return */
    return 17;
}

GroupObject &getGroupObjectInLp(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_IN_LP;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_IN_LP;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_IN_LP;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_IN_LP;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_IN_LP;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_IN_LP;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_IN_LP;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_IN_LP;
    }
    else if (index == 8)
    {
        return KoAPP_DIAUX_IN_LP;
    }
    else if (index == 9)
    {
        return KoAPP_DO1_IN_LP;
    }
    else if (index == 10)
    {
        return KoAPP_DO2_IN_LP;
    }
    else if (index == 11)
    {
        return KoAPP_DO3_IN_LP;
    }
    else if (index == 12)
    {
        return KoAPP_DO4_IN_LP;
    }
    else if (index == 13)
    {
        return KoAPP_DO5_IN_LP;
    }
    else if (index == 14)
    {
        return KoAPP_DO6_IN_LP;
    }
    else if (index == 15)
    {
        return KoAPP_DO7_IN_LP;
    }
    else if (index == 16)
    {
        return KoAPP_DO8_IN_LP;
    }
    /* Default return */
    return KoAPP_DOAUX_IN_LP;
}

uint8_t getIndexInLp(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_IN_LP)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_IN_LP)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_IN_LP)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_IN_LP)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_IN_LP)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_IN_LP)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_IN_LP)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_IN_LP)
    {
        return 7;
    }
    else if (go.asap() == APP_KoDIAUX_IN_LP)
    {
        return 8;
    }
    else if (go.asap() == APP_KoDO1_IN_LP)
    {
        return 9;
    }
    else if (go.asap() == APP_KoDO2_IN_LP)
    {
        return 10;
    }
    else if (go.asap() == APP_KoDO3_IN_LP)
    {
        return 11;
    }
    else if (go.asap() == APP_KoDO4_IN_LP)
    {
        return 12;
    }
    else if (go.asap() == APP_KoDO5_IN_LP)
    {
        return 13;
    }
    else if (go.asap() == APP_KoDO6_IN_LP)
    {
        return 14;
    }
    else if (go.asap() == APP_KoDO7_IN_LP)
    {
        return 15;
    }
    else if (go.asap() == APP_KoDO8_IN_LP)
    {
        return 16;
    }
    /* Default return */
    return 17;
}

GroupObject &getGroupObjectInEm(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_IN_EM;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_IN_EM;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_IN_EM;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_IN_EM;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_IN_EM;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_IN_EM;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_IN_EM;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_IN_EM;
    }
    else if (index == 8)
    {
        return KoAPP_DIAUX_IN_EM;
    }
    else if (index == 9)
    {
        return KoAPP_DO1_IN_EM;
    }
    else if (index == 10)
    {
        return KoAPP_DO2_IN_EM;
    }
    else if (index == 11)
    {
        return KoAPP_DO3_IN_EM;
    }
    else if (index == 12)
    {
        return KoAPP_DO4_IN_EM;
    }
    else if (index == 13)
    {
        return KoAPP_DO5_IN_EM;
    }
    else if (index == 14)
    {
        return KoAPP_DO6_IN_EM;
    }
    else if (index == 15)
    {
        return KoAPP_DO7_IN_EM;
    }
    else if (index == 16)
    {
        return KoAPP_DO8_IN_EM;
    }
    /* Default return */
    return KoAPP_DOAUX_IN_EM;
}

uint8_t getIndexInEm(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_IN_EM)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_IN_EM)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_IN_EM)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_IN_EM)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_IN_EM)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_IN_EM)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_IN_EM)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_IN_EM)
    {
        return 7;
    }
    else if (go.asap() == APP_KoDIAUX_IN_EM)
    {
        return 8;
    }
    else if (go.asap() == APP_KoDO1_IN_EM)
    {
        return 9;
    }
    else if (go.asap() == APP_KoDO2_IN_EM)
    {
        return 10;
    }
    else if (go.asap() == APP_KoDO3_IN_EM)
    {
        return 11;
    }
    else if (go.asap() == APP_KoDO4_IN_EM)
    {
        return 12;
    }
    else if (go.asap() == APP_KoDO5_IN_EM)
    {
        return 13;
    }
    else if (go.asap() == APP_KoDO6_IN_EM)
    {
        return 14;
    }
    else if (go.asap() == APP_KoDO7_IN_EM)
    {
        return 15;
    }
    else if (go.asap() == APP_KoDO8_IN_EM)
    {
        return 16;
    }
    /* Default return */
    return 17;
}

GroupObject &getGroupObjectOut(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_OUT;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_OUT;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_OUT;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_OUT;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_OUT;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_OUT;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_OUT;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_OUT;
    }
    else if (index == 8)
    {
        return KoAPP_DIAUX_OUT;
    }
    else if (index == 9)
    {
        return KoAPP_DO1_OUT;
    }
    else if (index == 10)
    {
        return KoAPP_DO2_OUT;
    }
    else if (index == 11)
    {
        return KoAPP_DO3_OUT;
    }
    else if (index == 12)
    {
        return KoAPP_DO4_OUT;
    }
    else if (index == 13)
    {
        return KoAPP_DO5_OUT;
    }
    else if (index == 14)
    {
        return KoAPP_DO6_OUT;
    }
    else if (index == 15)
    {
        return KoAPP_DO7_OUT;
    }
    else if (index == 16)
    {
        return KoAPP_DO8_OUT;
    }
    /* Default return */
    return KoAPP_DOAUX_OUT;
}

uint8_t getIndexOut(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_OUT)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_OUT)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_OUT)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_OUT)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_OUT)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_OUT)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_OUT)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_OUT)
    {
        return 7;
    }
    else if (go.asap() == APP_KoDIAUX_OUT)
    {
        return 8;
    }
    else if (go.asap() == APP_KoDO1_OUT)
    {
        return 9;
    }
    else if (go.asap() == APP_KoDO2_OUT)
    {
        return 10;
    }
    else if (go.asap() == APP_KoDO3_OUT)
    {
        return 11;
    }
    else if (go.asap() == APP_KoDO4_OUT)
    {
        return 12;
    }
    else if (go.asap() == APP_KoDO5_OUT)
    {
        return 13;
    }
    else if (go.asap() == APP_KoDO6_OUT)
    {
        return 14;
    }
    else if (go.asap() == APP_KoDO7_OUT)
    {
        return 15;
    }
    else if (go.asap() == APP_KoDO8_OUT)
    {
        return 16;
    }
    /* Default return */
    return 17;
}

GroupObject &getGroupObjectOutPwm(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_OUT_PWM;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_OUT_PWM;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_OUT_PWM;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_OUT_PWM;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_OUT_PWM;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_OUT_PWM;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_OUT_PWM;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_OUT_PWM;
    }
    else if (index == 8)
    {
        return KoAPP_DIAUX_OUT_PWM;
    }
    else if (index == 9)
    {
        return KoAPP_DO1_OUT_PWM;
    }
    else if (index == 10)
    {
        return KoAPP_DO2_OUT_PWM;
    }
    else if (index == 11)
    {
        return KoAPP_DO3_OUT_PWM;
    }
    else if (index == 12)
    {
        return KoAPP_DO4_OUT_PWM;
    }
    else if (index == 13)
    {
        return KoAPP_DO5_OUT_PWM;
    }
    else if (index == 14)
    {
        return KoAPP_DO6_OUT_PWM;
    }
    else if (index == 15)
    {
        return KoAPP_DO7_OUT_PWM;
    }
    else if (index == 16)
    {
        return KoAPP_DO8_OUT_PWM;
    }
    /* Default return */
    return KoAPP_DOAUX_OUT_PWM;
}

uint8_t getIndexOutPwm(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_OUT_PWM)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_OUT_PWM)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_OUT_PWM)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_OUT_PWM)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_OUT_PWM)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_OUT_PWM)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_OUT_PWM)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_OUT_PWM)
    {
        return 7;
    }
    else if (go.asap() == APP_KoDIAUX_OUT_PWM)
    {
        return 8;
    }
    else if (go.asap() == APP_KoDO1_OUT_PWM)
    {
        return 9;
    }
    else if (go.asap() == APP_KoDO2_OUT_PWM)
    {
        return 10;
    }
    else if (go.asap() == APP_KoDO3_OUT_PWM)
    {
        return 11;
    }
    else if (go.asap() == APP_KoDO4_OUT_PWM)
    {
        return 12;
    }
    else if (go.asap() == APP_KoDO5_OUT_PWM)
    {
        return 13;
    }
    else if (go.asap() == APP_KoDO6_OUT_PWM)
    {
        return 14;
    }
    else if (go.asap() == APP_KoDO7_OUT_PWM)
    {
        return 15;
    }
    else if (go.asap() == APP_KoDO8_OUT_PWM)
    {
        return 16;
    }
    /* Default return */
    return 17;
}

GroupObject &getGroupObjectSceneA(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_A;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_A;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_A;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_A;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_A;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_A;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_A;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_A;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_A;
}

uint8_t getIndexSceneA(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_A)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_A)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_A)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_A)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_A)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_A)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_A)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_A)
    {
        return 7;
    }
    /* Default return */
    return 8;
}

GroupObject &getGroupObjectSceneB(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_B;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_B;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_B;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_B;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_B;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_B;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_B;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_B;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_B;
}

uint8_t getIndexSceneB(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_B)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_B)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_B)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_B)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_B)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_B)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_B)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_B)
    {
        return 7;
    }
    /* Default return */
    return 8;
}

GroupObject &getGroupObjectSceneC(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_C;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_C;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_C;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_C;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_C;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_C;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_C;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_C;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_C;
}

uint8_t getIndexSceneC(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_C)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_C)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_C)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_C)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_C)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_C)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_C)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_C)
    {
        return 7;
    }
    /* Default return */
    return 8;
}

GroupObject &getGroupObjectSceneD(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_D;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_D;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_D;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_D;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_D;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_D;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_D;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_D;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_D;
}

uint8_t getIndexSceneD(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_D)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_D)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_D)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_D)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_D)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_D)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_D)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_D)
    {
        return 7;
    }
    /* Default return */
    return 8;
}

GroupObject &getGroupObjectSceneA8Bit(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_A_8BIT;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_A_8BIT;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_A_8BIT;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_A_8BIT;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_A_8BIT;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_A_8BIT;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_A_8BIT;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_A_8BIT;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_A_8BIT;
}

uint8_t getIndexSceneA8Bit(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_A_8BIT)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_A_8BIT)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_A_8BIT)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_A_8BIT)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_A_8BIT)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_A_8BIT)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_A_8BIT)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_A_8BIT)
    {
        return 7;
    }
    /* Default return */
    return 8;
}

GroupObject &getGroupObjectSceneB8Bit(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_B_8BIT;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_B_8BIT;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_B_8BIT;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_B_8BIT;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_B_8BIT;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_B_8BIT;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_B_8BIT;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_B_8BIT;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_B_8BIT;
}

uint8_t getIndexSceneB8Bit(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_B_8BIT)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_B_8BIT)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_B_8BIT)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_B_8BIT)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_B_8BIT)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_B_8BIT)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_B_8BIT)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_B_8BIT)
    {
        return 7;
    }
    /* Default return */
    return 8;
}

GroupObject &getGroupObjectSceneC8Bit(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_C_8BIT;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_C_8BIT;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_C_8BIT;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_C_8BIT;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_C_8BIT;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_C_8BIT;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_C_8BIT;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_C_8BIT;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_C_8BIT;
}

uint8_t getIndexSceneC8Bit(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_C_8BIT)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_C_8BIT)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_C_8BIT)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_C_8BIT)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_C_8BIT)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_C_8BIT)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_C_8BIT)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_C_8BIT)
    {
        return 7;
    }
    /* Default return */
    return 8;
}

GroupObject &getGroupObjectSceneD8Bit(uint8_t index)
{
    if (index == 0)
    {
        return KoAPP_DI1_SCENE_D_8BIT;
    }
    else if (index == 1)
    {
        return KoAPP_DI2_SCENE_D_8BIT;
    }
    else if (index == 2)
    {
        return KoAPP_DI3_SCENE_D_8BIT;
    }
    else if (index == 3)
    {
        return KoAPP_DI4_SCENE_D_8BIT;
    }
    else if (index == 4)
    {
        return KoAPP_DI5_SCENE_D_8BIT;
    }
    else if (index == 5)
    {
        return KoAPP_DI6_SCENE_D_8BIT;
    }
    else if (index == 6)
    {
        return KoAPP_DI7_SCENE_D_8BIT;
    }
    else if (index == 7)
    {
        return KoAPP_DI8_SCENE_D_8BIT;
    }
    /* Default return */
    return KoAPP_DIAUX_SCENE_D_8BIT;
}

uint8_t getIndexSceneD8Bit(GroupObject &go)
{
    if (go.asap() == APP_KoDI1_SCENE_D_8BIT)
    {
        return 0;
    }
    else if (go.asap() == APP_KoDI2_SCENE_D_8BIT)
    {
        return 1;
    }
    else if (go.asap() == APP_KoDI3_SCENE_D_8BIT)
    {
        return 2;
    }
    else if (go.asap() == APP_KoDI4_SCENE_D_8BIT)
    {
        return 3;
    }
    else if (go.asap() == APP_KoDI5_SCENE_D_8BIT)
    {
        return 4;
    }
    else if (go.asap() == APP_KoDI6_SCENE_D_8BIT)
    {
        return 5;
    }
    else if (go.asap() == APP_KoDI7_SCENE_D_8BIT)
    {
        return 6;
    }
    else if (go.asap() == APP_KoDI8_SCENE_D_8BIT)
    {
        return 7;
    }
    /* Default return */
    return 8;
}
