#pragma once

typedef enum // Pin mode
{
    MODE_NONE,
    MODE_IN_SWITCH,       // Switch (holds state)
    MODE_IN_BUTTON,       // Button (momentary switch)
    MODE_IN_BUTTON_DC,    // Button double click
    MODE_IN_BUTTON_LP,    // Button long press
    MODE_IN_ENERGY_METER, // Energy meter
    MODE_OUT,             // Output "switch" (ON / OFF)
    MODE_OUT_PWM,         // Output pwm
    MODE_SCENE_CONTROL,   // Scene control
} io_mode_t;

typedef enum // Input init modes
{
    STATE_OFF,
    STATE_ON,
    STATE_READ,
    STATE_READ_INVERTED,
} init_state_t;

typedef enum // Input switch / button types
{
    TYPE_NORMALLY_OPEN,
    TYPE_NORMALLY_CLOSED
} switch_type_t;

typedef enum // Energy meter send "style"
{
    EM_SEND_CB_KWH,
    EM_SEND_CYCLIC,
} em_cyclic_t;

typedef enum // Scene value type
{
    SCENE_1BIT,
    SCENE_8BIT,
} scene_type_t;
