#pragma once

#define paramDelay(time) (uint32_t)( \
            (time & 0xC000) == 0xC000 ? (time & 0x3FFF) * 100 : \
            (time & 0xC000) == 0x0000 ? (time & 0x3FFF) * 1000 : \
            (time & 0xC000) == 0x4000 ? (time & 0x3FFF) * 60000 : \
            (time & 0xC000) == 0x8000 ? ((time & 0x3FFF) > 1000 ? 3600000 : \
                                         (time & 0x3FFF) * 3600000 ) : 0 )
//--------------------Allgemein---------------------------
#define MAIN_OpenKnxId 0xAF
#define MAIN_ApplicationNumber 0x01
#define MAIN_ApplicationVersion 0x10
#define MAIN_OrderNumber "TA-00002.1" //may not work with multiple devices on same hardware or app on different hardware
#define MAIN_ParameterSize 227
#define MAIN_MaxKoNumber 181


#define APP_RGB_ENABLED		0x0000
// Offset: 0, Size: 1 Bit, Text: Enable RGB
#define ParamAPP_RGB_ENABLED knx.paramBit(0, 0)
#define APP_DI1_MODE		0x0000
#define APP_DI1_MODE_Shift	3
#define APP_DI1_MODE_Mask	0x000F
// Offset: 0, BitOffset: 1, Size: 4 Bit, Text: DI1 function
#define ParamAPP_DI1_MODE ((uint)((knx.paramByte(0) >> APP_DI1_MODE_Shift) & APP_DI1_MODE_Mask))
#define APP_DI1_DEBOUNCE		0x0001
#define APP_DI1_DEBOUNCE_Shift	1
#define APP_DI1_DEBOUNCE_Mask	0x007F
// Offset: 1, Size: 7 Bit, Text: DI1 debounce
#define ParamAPP_DI1_DEBOUNCE ((uint)((knx.paramByte(1) >> APP_DI1_DEBOUNCE_Shift) & APP_DI1_DEBOUNCE_Mask))
#define APP_DI1_LP_DELAY		0x0002
#define APP_DI1_LP_DELAY_Shift	4
#define APP_DI1_LP_DELAY_Mask	0x0FFF
// Offset: 2, Size: 12 Bit, Text: DI1 long press delay
#define ParamAPP_DI1_LP_DELAY ((uint)((knx.paramWord(2) >> APP_DI1_LP_DELAY_Shift) & APP_DI1_LP_DELAY_Mask))
#define APP_DI1_INIT_STATE		0x0000
#define APP_DI1_INIT_STATE_Shift	1
#define APP_DI1_INIT_STATE_Mask	0x0003
// Offset: 0, BitOffset: 5, Size: 2 Bit, Text: DI1 init state
#define ParamAPP_DI1_INIT_STATE ((uint)((knx.paramByte(0) >> APP_DI1_INIT_STATE_Shift) & APP_DI1_INIT_STATE_Mask))
#define APP_DI1_SWITCH_TYPE		0x0000
// Offset: 0, BitOffset: 7, Size: 1 Bit, Text: DI1 switch type
#define ParamAPP_DI1_SWITCH_TYPE knx.paramBit(0, 7)
#define APP_DI1_EM_PULSES		0x0004
#define APP_DI1_EM_PULSES_Shift	2
#define APP_DI1_EM_PULSES_Mask	0x3FFF
// Offset: 4, Size: 14 Bit, Text: DI1 energy meter pulses per kWh
#define ParamAPP_DI1_EM_PULSES ((uint)((knx.paramWord(4) >> APP_DI1_EM_PULSES_Shift) & APP_DI1_EM_PULSES_Mask))
#define APP_DI1_EM_CYCLIC		0x0001
// Offset: 1, BitOffset: 7, Size: 1 Bit, Text: DI1 send cyclically or per kWh.
#define ParamAPP_DI1_EM_CYCLIC knx.paramBit(1, 7)
#define APP_DI1_CB_KWH		0x0006
#define APP_DI1_CB_KWH_Shift	1
#define APP_DI1_CB_KWH_Mask	0x007F
// Offset: 6, Size: 7 Bit, Text: DI1 kWh count
#define ParamAPP_DI1_CB_KWH ((uint)((knx.paramByte(6) >> APP_DI1_CB_KWH_Shift) & APP_DI1_CB_KWH_Mask))
#define APP_DI1_CYCLIC_DELAY		0x0007
// Offset: 7, Size: 16 Bit (2 Byte), Text: DI1 cycle delay
#define ParamAPP_DI1_CYCLIC_DELAY ((uint)((knx.paramWord(7))))
#define APP_DI1_INIT_STATE_OUT		0x0006
// Offset: 6, BitOffset: 7, Size: 1 Bit, Text: DI1 init state
#define ParamAPP_DI1_INIT_STATE_OUT knx.paramBit(6, 7)
#define APP_DI1_INIT_STATE_PWM_OUT		0x0009
// Offset: 9, Size: 8 Bit (1 Byte), Text: DI1 init state PWM
#define ParamAPP_DI1_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(9))))
#define APP_DI1_IN_DC_ENABLED		0x000A
// Offset: 10, Size: 1 Bit, Text: DI1 enable alternative double click action
#define ParamAPP_DI1_IN_DC_ENABLED knx.paramBit(10, 0)
#define APP_DI1_IN_LP_ENABLED		0x000A
// Offset: 10, BitOffset: 1, Size: 1 Bit, Text: DI1 enable alternative long press action
#define ParamAPP_DI1_IN_LP_ENABLED knx.paramBit(10, 1)
#define APP_DI1_SCENE_TYPE_A		0x000A
// Offset: 10, BitOffset: 2, Size: 1 Bit, Text: DI1_SCENE_TYPE_A
#define ParamAPP_DI1_SCENE_TYPE_A knx.paramBit(10, 2)
#define APP_DI1_SCENE_TYPE_B		0x000A
// Offset: 10, BitOffset: 3, Size: 1 Bit, Text: DI1_SCENE_TYPE_B
#define ParamAPP_DI1_SCENE_TYPE_B knx.paramBit(10, 3)
#define APP_DI1_SCENE_TYPE_C		0x000A
// Offset: 10, BitOffset: 4, Size: 1 Bit, Text: DI1_SCENE_TYPE_C
#define ParamAPP_DI1_SCENE_TYPE_C knx.paramBit(10, 4)
#define APP_DI1_SCENE_TYPE_D		0x000A
// Offset: 10, BitOffset: 5, Size: 1 Bit, Text: DI1_SCENE_TYPE_D
#define ParamAPP_DI1_SCENE_TYPE_D knx.paramBit(10, 5)
#define APP_DI1_SCENE_TYPE_A_1BIT_VALUE		0x000A
// Offset: 10, BitOffset: 6, Size: 1 Bit, Text: DI1_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(10, 6)
#define APP_DI1_SCENE_TYPE_B_1BIT_VALUE		0x000A
// Offset: 10, BitOffset: 7, Size: 1 Bit, Text: DI1_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(10, 7)
#define APP_DI1_SCENE_TYPE_C_1BIT_VALUE		0x000B
// Offset: 11, Size: 1 Bit, Text: DI1_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(11, 0)
#define APP_DI1_SCENE_TYPE_D_1BIT_VALUE		0x000B
// Offset: 11, BitOffset: 1, Size: 1 Bit, Text: DI1_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(11, 1)
#define APP_DI1_SCENE_TYPE_A_8BIT_VALUE		0x000C
// Offset: 12, Size: 8 Bit (1 Byte), Text: DI1_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(12))))
#define APP_DI1_SCENE_TYPE_B_8BIT_VALUE		0x000D
// Offset: 13, Size: 8 Bit (1 Byte), Text: DI1_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(13))))
#define APP_DI1_SCENE_TYPE_C_8BIT_VALUE		0x000E
// Offset: 14, Size: 8 Bit (1 Byte), Text: DI1_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(14))))
#define APP_DI1_SCENE_TYPE_D_8BIT_VALUE		0x000F
// Offset: 15, Size: 8 Bit (1 Byte), Text: DI1_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI1_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(15))))
#define APP_DI2_MODE		0x000B
#define APP_DI2_MODE_Shift	2
#define APP_DI2_MODE_Mask	0x000F
// Offset: 11, BitOffset: 2, Size: 4 Bit, Text: DI2 function
#define ParamAPP_DI2_MODE ((uint)((knx.paramByte(11) >> APP_DI2_MODE_Shift) & APP_DI2_MODE_Mask))
#define APP_DI2_DEBOUNCE		0x0010
#define APP_DI2_DEBOUNCE_Shift	1
#define APP_DI2_DEBOUNCE_Mask	0x007F
// Offset: 16, Size: 7 Bit, Text: DI2 debounce
#define ParamAPP_DI2_DEBOUNCE ((uint)((knx.paramByte(16) >> APP_DI2_DEBOUNCE_Shift) & APP_DI2_DEBOUNCE_Mask))
#define APP_DI2_LP_DELAY		0x0011
#define APP_DI2_LP_DELAY_Shift	4
#define APP_DI2_LP_DELAY_Mask	0x0FFF
// Offset: 17, Size: 12 Bit, Text: DI2 long press delay
#define ParamAPP_DI2_LP_DELAY ((uint)((knx.paramWord(17) >> APP_DI2_LP_DELAY_Shift) & APP_DI2_LP_DELAY_Mask))
#define APP_DI2_INIT_STATE		0x000B
#define APP_DI2_INIT_STATE_Mask	0x0003
// Offset: 11, BitOffset: 6, Size: 2 Bit, Text: DI2 init state
#define ParamAPP_DI2_INIT_STATE ((uint)((knx.paramByte(11)) & APP_DI2_INIT_STATE_Mask))
#define APP_DI2_SWITCH_TYPE		0x0010
// Offset: 16, BitOffset: 7, Size: 1 Bit, Text: DI2 switch type
#define ParamAPP_DI2_SWITCH_TYPE knx.paramBit(16, 7)
#define APP_DI2_EM_PULSES		0x0013
#define APP_DI2_EM_PULSES_Shift	2
#define APP_DI2_EM_PULSES_Mask	0x3FFF
// Offset: 19, Size: 14 Bit, Text: DI2 energy meter pulses per kWh
#define ParamAPP_DI2_EM_PULSES ((uint)((knx.paramWord(19) >> APP_DI2_EM_PULSES_Shift) & APP_DI2_EM_PULSES_Mask))
#define APP_DI2_EM_CYCLIC		0x0015
// Offset: 21, Size: 1 Bit, Text: DI2 send cyclically or per kWh.
#define ParamAPP_DI2_EM_CYCLIC knx.paramBit(21, 0)
#define APP_DI2_CB_KWH		0x0015
#define APP_DI2_CB_KWH_Mask	0x007F
// Offset: 21, BitOffset: 1, Size: 7 Bit, Text: DI2 kWh count
#define ParamAPP_DI2_CB_KWH ((uint)((knx.paramByte(21)) & APP_DI2_CB_KWH_Mask))
#define APP_DI2_CYCLIC_DELAY		0x0016
// Offset: 22, Size: 16 Bit (2 Byte), Text: DI2 cycle delay
#define ParamAPP_DI2_CYCLIC_DELAY ((uint)((knx.paramWord(22))))
#define APP_DI2_INIT_STATE_OUT		0x0018
// Offset: 24, Size: 1 Bit, Text: DI2 init state
#define ParamAPP_DI2_INIT_STATE_OUT knx.paramBit(24, 0)
#define APP_DI2_INIT_STATE_PWM_OUT		0x0019
// Offset: 25, Size: 8 Bit (1 Byte), Text: DI2 init state PWM
#define ParamAPP_DI2_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(25))))
#define APP_DI2_IN_DC_ENABLED		0x0018
// Offset: 24, BitOffset: 1, Size: 1 Bit, Text: DI2 enable alternative double click action
#define ParamAPP_DI2_IN_DC_ENABLED knx.paramBit(24, 1)
#define APP_DI2_IN_LP_ENABLED		0x0018
// Offset: 24, BitOffset: 2, Size: 1 Bit, Text: DI2 enable alternative long press action
#define ParamAPP_DI2_IN_LP_ENABLED knx.paramBit(24, 2)
#define APP_DI2_SCENE_TYPE_A		0x0018
// Offset: 24, BitOffset: 3, Size: 1 Bit, Text: DI2_SCENE_TYPE_A
#define ParamAPP_DI2_SCENE_TYPE_A knx.paramBit(24, 3)
#define APP_DI2_SCENE_TYPE_B		0x0018
// Offset: 24, BitOffset: 4, Size: 1 Bit, Text: DI2_SCENE_TYPE_B
#define ParamAPP_DI2_SCENE_TYPE_B knx.paramBit(24, 4)
#define APP_DI2_SCENE_TYPE_C		0x0018
// Offset: 24, BitOffset: 5, Size: 1 Bit, Text: DI2_SCENE_TYPE_C
#define ParamAPP_DI2_SCENE_TYPE_C knx.paramBit(24, 5)
#define APP_DI2_SCENE_TYPE_D		0x0018
// Offset: 24, BitOffset: 6, Size: 1 Bit, Text: DI2_SCENE_TYPE_D
#define ParamAPP_DI2_SCENE_TYPE_D knx.paramBit(24, 6)
#define APP_DI2_SCENE_TYPE_A_1BIT_VALUE		0x0018
// Offset: 24, BitOffset: 7, Size: 1 Bit, Text: DI2_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(24, 7)
#define APP_DI2_SCENE_TYPE_B_1BIT_VALUE		0x001A
// Offset: 26, Size: 1 Bit, Text: DI2_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(26, 0)
#define APP_DI2_SCENE_TYPE_C_1BIT_VALUE		0x001A
// Offset: 26, BitOffset: 1, Size: 1 Bit, Text: DI2_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(26, 1)
#define APP_DI2_SCENE_TYPE_D_1BIT_VALUE		0x001A
// Offset: 26, BitOffset: 2, Size: 1 Bit, Text: DI2_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(26, 2)
#define APP_DI2_SCENE_TYPE_A_8BIT_VALUE		0x001B
// Offset: 27, Size: 8 Bit (1 Byte), Text: DI2_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(27))))
#define APP_DI2_SCENE_TYPE_B_8BIT_VALUE		0x001C
// Offset: 28, Size: 8 Bit (1 Byte), Text: DI2_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(28))))
#define APP_DI2_SCENE_TYPE_C_8BIT_VALUE		0x001D
// Offset: 29, Size: 8 Bit (1 Byte), Text: DI2_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(29))))
#define APP_DI2_SCENE_TYPE_D_8BIT_VALUE		0x001E
// Offset: 30, Size: 8 Bit (1 Byte), Text: DI2_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI2_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(30))))
#define APP_DI3_MODE		0x001A
#define APP_DI3_MODE_Shift	1
#define APP_DI3_MODE_Mask	0x000F
// Offset: 26, BitOffset: 3, Size: 4 Bit, Text: DI3 function
#define ParamAPP_DI3_MODE ((uint)((knx.paramByte(26) >> APP_DI3_MODE_Shift) & APP_DI3_MODE_Mask))
#define APP_DI3_DEBOUNCE		0x001F
#define APP_DI3_DEBOUNCE_Shift	1
#define APP_DI3_DEBOUNCE_Mask	0x007F
// Offset: 31, Size: 7 Bit, Text: DI3 debounce
#define ParamAPP_DI3_DEBOUNCE ((uint)((knx.paramByte(31) >> APP_DI3_DEBOUNCE_Shift) & APP_DI3_DEBOUNCE_Mask))
#define APP_DI3_LP_DELAY		0x0020
#define APP_DI3_LP_DELAY_Shift	4
#define APP_DI3_LP_DELAY_Mask	0x0FFF
// Offset: 32, Size: 12 Bit, Text: DI3 long press delay
#define ParamAPP_DI3_LP_DELAY ((uint)((knx.paramWord(32) >> APP_DI3_LP_DELAY_Shift) & APP_DI3_LP_DELAY_Mask))
#define APP_DI3_INIT_STATE		0x0022
#define APP_DI3_INIT_STATE_Shift	6
#define APP_DI3_INIT_STATE_Mask	0x0003
// Offset: 34, Size: 2 Bit, Text: DI3 init state
#define ParamAPP_DI3_INIT_STATE ((uint)((knx.paramByte(34) >> APP_DI3_INIT_STATE_Shift) & APP_DI3_INIT_STATE_Mask))
#define APP_DI3_SWITCH_TYPE		0x001A
// Offset: 26, BitOffset: 7, Size: 1 Bit, Text: DI3 switch type
#define ParamAPP_DI3_SWITCH_TYPE knx.paramBit(26, 7)
#define APP_DI3_EM_PULSES		0x0023
#define APP_DI3_EM_PULSES_Shift	2
#define APP_DI3_EM_PULSES_Mask	0x3FFF
// Offset: 35, Size: 14 Bit, Text: DI3 energy meter pulses per kWh
#define ParamAPP_DI3_EM_PULSES ((uint)((knx.paramWord(35) >> APP_DI3_EM_PULSES_Shift) & APP_DI3_EM_PULSES_Mask))
#define APP_DI3_EM_CYCLIC		0x001F
// Offset: 31, BitOffset: 7, Size: 1 Bit, Text: DI3 send cyclically or per kWh.
#define ParamAPP_DI3_EM_CYCLIC knx.paramBit(31, 7)
#define APP_DI3_CB_KWH		0x0025
#define APP_DI3_CB_KWH_Shift	1
#define APP_DI3_CB_KWH_Mask	0x007F
// Offset: 37, Size: 7 Bit, Text: DI3 kWh count
#define ParamAPP_DI3_CB_KWH ((uint)((knx.paramByte(37) >> APP_DI3_CB_KWH_Shift) & APP_DI3_CB_KWH_Mask))
#define APP_DI3_CYCLIC_DELAY		0x0026
// Offset: 38, Size: 16 Bit (2 Byte), Text: DI3 cycle delay
#define ParamAPP_DI3_CYCLIC_DELAY ((uint)((knx.paramWord(38))))
#define APP_DI3_INIT_STATE_OUT		0x0022
// Offset: 34, BitOffset: 2, Size: 1 Bit, Text: DI3 init state
#define ParamAPP_DI3_INIT_STATE_OUT knx.paramBit(34, 2)
#define APP_DI3_INIT_STATE_PWM_OUT		0x0028
// Offset: 40, Size: 8 Bit (1 Byte), Text: DI3 init state PWM
#define ParamAPP_DI3_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(40))))
#define APP_DI3_IN_DC_ENABLED		0x0022
// Offset: 34, BitOffset: 3, Size: 1 Bit, Text: DI3 enable alternative double click action
#define ParamAPP_DI3_IN_DC_ENABLED knx.paramBit(34, 3)
#define APP_DI3_IN_LP_ENABLED		0x0022
// Offset: 34, BitOffset: 4, Size: 1 Bit, Text: DI3 enable alternative long press action
#define ParamAPP_DI3_IN_LP_ENABLED knx.paramBit(34, 4)
#define APP_DI3_SCENE_TYPE_A		0x0022
// Offset: 34, BitOffset: 5, Size: 1 Bit, Text: DI3_SCENE_TYPE_A
#define ParamAPP_DI3_SCENE_TYPE_A knx.paramBit(34, 5)
#define APP_DI3_SCENE_TYPE_B		0x0022
// Offset: 34, BitOffset: 6, Size: 1 Bit, Text: DI3_SCENE_TYPE_B
#define ParamAPP_DI3_SCENE_TYPE_B knx.paramBit(34, 6)
#define APP_DI3_SCENE_TYPE_C		0x0022
// Offset: 34, BitOffset: 7, Size: 1 Bit, Text: DI3_SCENE_TYPE_C
#define ParamAPP_DI3_SCENE_TYPE_C knx.paramBit(34, 7)
#define APP_DI3_SCENE_TYPE_D		0x0025
// Offset: 37, BitOffset: 7, Size: 1 Bit, Text: DI3_SCENE_TYPE_D
#define ParamAPP_DI3_SCENE_TYPE_D knx.paramBit(37, 7)
#define APP_DI3_SCENE_TYPE_A_1BIT_VALUE		0x0029
// Offset: 41, Size: 1 Bit, Text: DI3_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(41, 0)
#define APP_DI3_SCENE_TYPE_B_1BIT_VALUE		0x0029
// Offset: 41, BitOffset: 1, Size: 1 Bit, Text: DI3_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(41, 1)
#define APP_DI3_SCENE_TYPE_C_1BIT_VALUE		0x0029
// Offset: 41, BitOffset: 2, Size: 1 Bit, Text: DI3_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(41, 2)
#define APP_DI3_SCENE_TYPE_D_1BIT_VALUE		0x0029
// Offset: 41, BitOffset: 3, Size: 1 Bit, Text: DI3_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(41, 3)
#define APP_DI3_SCENE_TYPE_A_8BIT_VALUE		0x002A
// Offset: 42, Size: 8 Bit (1 Byte), Text: DI3_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(42))))
#define APP_DI3_SCENE_TYPE_B_8BIT_VALUE		0x002B
// Offset: 43, Size: 8 Bit (1 Byte), Text: DI3_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(43))))
#define APP_DI3_SCENE_TYPE_C_8BIT_VALUE		0x002C
// Offset: 44, Size: 8 Bit (1 Byte), Text: DI3_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(44))))
#define APP_DI3_SCENE_TYPE_D_8BIT_VALUE		0x002D
// Offset: 45, Size: 8 Bit (1 Byte), Text: DI3_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI3_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(45))))
#define APP_DI4_MODE		0x0029
#define APP_DI4_MODE_Mask	0x000F
// Offset: 41, BitOffset: 4, Size: 4 Bit, Text: DI4 function
#define ParamAPP_DI4_MODE ((uint)((knx.paramByte(41)) & APP_DI4_MODE_Mask))
#define APP_DI4_DEBOUNCE		0x002E
#define APP_DI4_DEBOUNCE_Shift	1
#define APP_DI4_DEBOUNCE_Mask	0x007F
// Offset: 46, Size: 7 Bit, Text: DI4 debounce
#define ParamAPP_DI4_DEBOUNCE ((uint)((knx.paramByte(46) >> APP_DI4_DEBOUNCE_Shift) & APP_DI4_DEBOUNCE_Mask))
#define APP_DI4_LP_DELAY		0x002F
#define APP_DI4_LP_DELAY_Shift	4
#define APP_DI4_LP_DELAY_Mask	0x0FFF
// Offset: 47, Size: 12 Bit, Text: DI4 long press delay
#define ParamAPP_DI4_LP_DELAY ((uint)((knx.paramWord(47) >> APP_DI4_LP_DELAY_Shift) & APP_DI4_LP_DELAY_Mask))
#define APP_DI4_INIT_STATE		0x0031
#define APP_DI4_INIT_STATE_Shift	6
#define APP_DI4_INIT_STATE_Mask	0x0003
// Offset: 49, Size: 2 Bit, Text: DI4 init state
#define ParamAPP_DI4_INIT_STATE ((uint)((knx.paramByte(49) >> APP_DI4_INIT_STATE_Shift) & APP_DI4_INIT_STATE_Mask))
#define APP_DI4_SWITCH_TYPE		0x002E
// Offset: 46, BitOffset: 7, Size: 1 Bit, Text: DI4 switch type
#define ParamAPP_DI4_SWITCH_TYPE knx.paramBit(46, 7)
#define APP_DI4_EM_PULSES		0x0032
#define APP_DI4_EM_PULSES_Shift	2
#define APP_DI4_EM_PULSES_Mask	0x3FFF
// Offset: 50, Size: 14 Bit, Text: DI4 energy meter pulses per kWh
#define ParamAPP_DI4_EM_PULSES ((uint)((knx.paramWord(50) >> APP_DI4_EM_PULSES_Shift) & APP_DI4_EM_PULSES_Mask))
#define APP_DI4_EM_CYCLIC		0x0031
// Offset: 49, BitOffset: 2, Size: 1 Bit, Text: DI4 send cyclically or per kWh.
#define ParamAPP_DI4_EM_CYCLIC knx.paramBit(49, 2)
#define APP_DI4_CB_KWH		0x0034
#define APP_DI4_CB_KWH_Shift	1
#define APP_DI4_CB_KWH_Mask	0x007F
// Offset: 52, Size: 7 Bit, Text: DI4 kWh count
#define ParamAPP_DI4_CB_KWH ((uint)((knx.paramByte(52) >> APP_DI4_CB_KWH_Shift) & APP_DI4_CB_KWH_Mask))
#define APP_DI4_CYCLIC_DELAY		0x0035
// Offset: 53, Size: 16 Bit (2 Byte), Text: DI4 cycle delay
#define ParamAPP_DI4_CYCLIC_DELAY ((uint)((knx.paramWord(53))))
#define APP_DI4_INIT_STATE_OUT		0x0031
// Offset: 49, BitOffset: 3, Size: 1 Bit, Text: DI4 init state
#define ParamAPP_DI4_INIT_STATE_OUT knx.paramBit(49, 3)
#define APP_DI4_INIT_STATE_PWM_OUT		0x0037
// Offset: 55, Size: 8 Bit (1 Byte), Text: DI4 init state PWM
#define ParamAPP_DI4_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(55))))
#define APP_DI4_IN_DC_ENABLED		0x0031
// Offset: 49, BitOffset: 4, Size: 1 Bit, Text: DI4 enable alternative double click action
#define ParamAPP_DI4_IN_DC_ENABLED knx.paramBit(49, 4)
#define APP_DI4_IN_LP_ENABLED		0x0031
// Offset: 49, BitOffset: 5, Size: 1 Bit, Text: DI4 enable alternative long press action
#define ParamAPP_DI4_IN_LP_ENABLED knx.paramBit(49, 5)
#define APP_DI4_SCENE_TYPE_A		0x0031
// Offset: 49, BitOffset: 6, Size: 1 Bit, Text: DI4_SCENE_TYPE_A
#define ParamAPP_DI4_SCENE_TYPE_A knx.paramBit(49, 6)
#define APP_DI4_SCENE_TYPE_B		0x0031
// Offset: 49, BitOffset: 7, Size: 1 Bit, Text: DI4_SCENE_TYPE_B
#define ParamAPP_DI4_SCENE_TYPE_B knx.paramBit(49, 7)
#define APP_DI4_SCENE_TYPE_C		0x0034
// Offset: 52, BitOffset: 7, Size: 1 Bit, Text: DI4_SCENE_TYPE_C
#define ParamAPP_DI4_SCENE_TYPE_C knx.paramBit(52, 7)
#define APP_DI4_SCENE_TYPE_D		0x0038
// Offset: 56, Size: 1 Bit, Text: DI4_SCENE_TYPE_D
#define ParamAPP_DI4_SCENE_TYPE_D knx.paramBit(56, 0)
#define APP_DI4_SCENE_TYPE_A_1BIT_VALUE		0x0038
// Offset: 56, BitOffset: 1, Size: 1 Bit, Text: DI4_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(56, 1)
#define APP_DI4_SCENE_TYPE_B_1BIT_VALUE		0x0038
// Offset: 56, BitOffset: 2, Size: 1 Bit, Text: DI4_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(56, 2)
#define APP_DI4_SCENE_TYPE_C_1BIT_VALUE		0x0038
// Offset: 56, BitOffset: 3, Size: 1 Bit, Text: DI4_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(56, 3)
#define APP_DI4_SCENE_TYPE_D_1BIT_VALUE		0x0038
// Offset: 56, BitOffset: 4, Size: 1 Bit, Text: DI4_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(56, 4)
#define APP_DI4_SCENE_TYPE_A_8BIT_VALUE		0x0039
// Offset: 57, Size: 8 Bit (1 Byte), Text: DI4_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(57))))
#define APP_DI4_SCENE_TYPE_B_8BIT_VALUE		0x003A
// Offset: 58, Size: 8 Bit (1 Byte), Text: DI4_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(58))))
#define APP_DI4_SCENE_TYPE_C_8BIT_VALUE		0x003B
// Offset: 59, Size: 8 Bit (1 Byte), Text: DI4_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(59))))
#define APP_DI4_SCENE_TYPE_D_8BIT_VALUE		0x003C
// Offset: 60, Size: 8 Bit (1 Byte), Text: DI4_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI4_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(60))))
#define APP_DI5_MODE		0x003D
#define APP_DI5_MODE_Shift	4
#define APP_DI5_MODE_Mask	0x000F
// Offset: 61, Size: 4 Bit, Text: DI5 function
#define ParamAPP_DI5_MODE ((uint)((knx.paramByte(61) >> APP_DI5_MODE_Shift) & APP_DI5_MODE_Mask))
#define APP_DI5_DEBOUNCE		0x003E
#define APP_DI5_DEBOUNCE_Shift	1
#define APP_DI5_DEBOUNCE_Mask	0x007F
// Offset: 62, Size: 7 Bit, Text: DI5 debounce
#define ParamAPP_DI5_DEBOUNCE ((uint)((knx.paramByte(62) >> APP_DI5_DEBOUNCE_Shift) & APP_DI5_DEBOUNCE_Mask))
#define APP_DI5_LP_DELAY		0x003F
#define APP_DI5_LP_DELAY_Shift	4
#define APP_DI5_LP_DELAY_Mask	0x0FFF
// Offset: 63, Size: 12 Bit, Text: DI5 long press delay
#define ParamAPP_DI5_LP_DELAY ((uint)((knx.paramWord(63) >> APP_DI5_LP_DELAY_Shift) & APP_DI5_LP_DELAY_Mask))
#define APP_DI5_INIT_STATE		0x0038
#define APP_DI5_INIT_STATE_Shift	1
#define APP_DI5_INIT_STATE_Mask	0x0003
// Offset: 56, BitOffset: 5, Size: 2 Bit, Text: DI5 init state
#define ParamAPP_DI5_INIT_STATE ((uint)((knx.paramByte(56) >> APP_DI5_INIT_STATE_Shift) & APP_DI5_INIT_STATE_Mask))
#define APP_DI5_SWITCH_TYPE		0x0038
// Offset: 56, BitOffset: 7, Size: 1 Bit, Text: DI5 switch type
#define ParamAPP_DI5_SWITCH_TYPE knx.paramBit(56, 7)
#define APP_DI5_EM_PULSES		0x0041
#define APP_DI5_EM_PULSES_Shift	2
#define APP_DI5_EM_PULSES_Mask	0x3FFF
// Offset: 65, Size: 14 Bit, Text: DI5 energy meter pulses per kWh
#define ParamAPP_DI5_EM_PULSES ((uint)((knx.paramWord(65) >> APP_DI5_EM_PULSES_Shift) & APP_DI5_EM_PULSES_Mask))
#define APP_DI5_EM_CYCLIC		0x003D
// Offset: 61, BitOffset: 4, Size: 1 Bit, Text: DI5 send cyclically or per kWh.
#define ParamAPP_DI5_EM_CYCLIC knx.paramBit(61, 4)
#define APP_DI5_CB_KWH		0x0043
#define APP_DI5_CB_KWH_Shift	1
#define APP_DI5_CB_KWH_Mask	0x007F
// Offset: 67, Size: 7 Bit, Text: DI5 kWh count
#define ParamAPP_DI5_CB_KWH ((uint)((knx.paramByte(67) >> APP_DI5_CB_KWH_Shift) & APP_DI5_CB_KWH_Mask))
#define APP_DI5_CYCLIC_DELAY		0x0044
// Offset: 68, Size: 16 Bit (2 Byte), Text: DI5 cycle delay
#define ParamAPP_DI5_CYCLIC_DELAY ((uint)((knx.paramWord(68))))
#define APP_DI5_INIT_STATE_OUT		0x003D
// Offset: 61, BitOffset: 5, Size: 1 Bit, Text: DI5 init state
#define ParamAPP_DI5_INIT_STATE_OUT knx.paramBit(61, 5)
#define APP_DI5_INIT_STATE_PWM_OUT		0x0046
// Offset: 70, Size: 8 Bit (1 Byte), Text: DI5 init state PWM
#define ParamAPP_DI5_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(70))))
#define APP_DI5_IN_DC_ENABLED		0x003D
// Offset: 61, BitOffset: 6, Size: 1 Bit, Text: DI5 enable alternative double click action
#define ParamAPP_DI5_IN_DC_ENABLED knx.paramBit(61, 6)
#define APP_DI5_IN_LP_ENABLED		0x003D
// Offset: 61, BitOffset: 7, Size: 1 Bit, Text: DI5 enable alternative long press action
#define ParamAPP_DI5_IN_LP_ENABLED knx.paramBit(61, 7)
#define APP_DI5_SCENE_TYPE_A		0x003E
// Offset: 62, BitOffset: 7, Size: 1 Bit, Text: DI5_SCENE_TYPE_A
#define ParamAPP_DI5_SCENE_TYPE_A knx.paramBit(62, 7)
#define APP_DI5_SCENE_TYPE_B		0x0043
// Offset: 67, BitOffset: 7, Size: 1 Bit, Text: DI5_SCENE_TYPE_B
#define ParamAPP_DI5_SCENE_TYPE_B knx.paramBit(67, 7)
#define APP_DI5_SCENE_TYPE_C		0x0047
// Offset: 71, Size: 1 Bit, Text: DI5_SCENE_TYPE_C
#define ParamAPP_DI5_SCENE_TYPE_C knx.paramBit(71, 0)
#define APP_DI5_SCENE_TYPE_D		0x0047
// Offset: 71, BitOffset: 1, Size: 1 Bit, Text: DI5_SCENE_TYPE_D
#define ParamAPP_DI5_SCENE_TYPE_D knx.paramBit(71, 1)
#define APP_DI5_SCENE_TYPE_A_1BIT_VALUE		0x0047
// Offset: 71, BitOffset: 2, Size: 1 Bit, Text: DI5_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(71, 2)
#define APP_DI5_SCENE_TYPE_B_1BIT_VALUE		0x0047
// Offset: 71, BitOffset: 3, Size: 1 Bit, Text: DI5_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(71, 3)
#define APP_DI5_SCENE_TYPE_C_1BIT_VALUE		0x0047
// Offset: 71, BitOffset: 4, Size: 1 Bit, Text: DI5_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(71, 4)
#define APP_DI5_SCENE_TYPE_D_1BIT_VALUE		0x0047
// Offset: 71, BitOffset: 5, Size: 1 Bit, Text: DI5_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(71, 5)
#define APP_DI5_SCENE_TYPE_A_8BIT_VALUE		0x0048
// Offset: 72, Size: 8 Bit (1 Byte), Text: DI5_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(72))))
#define APP_DI5_SCENE_TYPE_B_8BIT_VALUE		0x0049
// Offset: 73, Size: 8 Bit (1 Byte), Text: DI5_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(73))))
#define APP_DI5_SCENE_TYPE_C_8BIT_VALUE		0x004A
// Offset: 74, Size: 8 Bit (1 Byte), Text: DI5_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(74))))
#define APP_DI5_SCENE_TYPE_D_8BIT_VALUE		0x004B
// Offset: 75, Size: 8 Bit (1 Byte), Text: DI5_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI5_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(75))))
#define APP_DI6_MODE		0x004C
#define APP_DI6_MODE_Shift	4
#define APP_DI6_MODE_Mask	0x000F
// Offset: 76, Size: 4 Bit, Text: DI6 function
#define ParamAPP_DI6_MODE ((uint)((knx.paramByte(76) >> APP_DI6_MODE_Shift) & APP_DI6_MODE_Mask))
#define APP_DI6_DEBOUNCE		0x004D
#define APP_DI6_DEBOUNCE_Shift	1
#define APP_DI6_DEBOUNCE_Mask	0x007F
// Offset: 77, Size: 7 Bit, Text: DI6 debounce
#define ParamAPP_DI6_DEBOUNCE ((uint)((knx.paramByte(77) >> APP_DI6_DEBOUNCE_Shift) & APP_DI6_DEBOUNCE_Mask))
#define APP_DI6_LP_DELAY		0x004E
#define APP_DI6_LP_DELAY_Shift	4
#define APP_DI6_LP_DELAY_Mask	0x0FFF
// Offset: 78, Size: 12 Bit, Text: DI6 long press delay
#define ParamAPP_DI6_LP_DELAY ((uint)((knx.paramWord(78) >> APP_DI6_LP_DELAY_Shift) & APP_DI6_LP_DELAY_Mask))
#define APP_DI6_INIT_STATE		0x0047
#define APP_DI6_INIT_STATE_Mask	0x0003
// Offset: 71, BitOffset: 6, Size: 2 Bit, Text: DI6 init state
#define ParamAPP_DI6_INIT_STATE ((uint)((knx.paramByte(71)) & APP_DI6_INIT_STATE_Mask))
#define APP_DI6_SWITCH_TYPE		0x004C
// Offset: 76, BitOffset: 4, Size: 1 Bit, Text: DI6 switch type
#define ParamAPP_DI6_SWITCH_TYPE knx.paramBit(76, 4)
#define APP_DI6_EM_PULSES		0x0050
#define APP_DI6_EM_PULSES_Shift	2
#define APP_DI6_EM_PULSES_Mask	0x3FFF
// Offset: 80, Size: 14 Bit, Text: DI6 energy meter pulses per kWh
#define ParamAPP_DI6_EM_PULSES ((uint)((knx.paramWord(80) >> APP_DI6_EM_PULSES_Shift) & APP_DI6_EM_PULSES_Mask))
#define APP_DI6_EM_CYCLIC		0x004C
// Offset: 76, BitOffset: 5, Size: 1 Bit, Text: DI6 send cyclically or per kWh.
#define ParamAPP_DI6_EM_CYCLIC knx.paramBit(76, 5)
#define APP_DI6_CB_KWH		0x0052
#define APP_DI6_CB_KWH_Shift	1
#define APP_DI6_CB_KWH_Mask	0x007F
// Offset: 82, Size: 7 Bit, Text: DI6 kWh count
#define ParamAPP_DI6_CB_KWH ((uint)((knx.paramByte(82) >> APP_DI6_CB_KWH_Shift) & APP_DI6_CB_KWH_Mask))
#define APP_DI6_CYCLIC_DELAY		0x0053
// Offset: 83, Size: 16 Bit (2 Byte), Text: DI6 cycle delay
#define ParamAPP_DI6_CYCLIC_DELAY ((uint)((knx.paramWord(83))))
#define APP_DI6_INIT_STATE_OUT		0x004C
// Offset: 76, BitOffset: 6, Size: 1 Bit, Text: DI6 init state
#define ParamAPP_DI6_INIT_STATE_OUT knx.paramBit(76, 6)
#define APP_DI6_INIT_STATE_PWM_OUT		0x0055
// Offset: 85, Size: 8 Bit (1 Byte), Text: DI6 init state PWM
#define ParamAPP_DI6_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(85))))
#define APP_DI6_IN_DC_ENABLED		0x004C
// Offset: 76, BitOffset: 7, Size: 1 Bit, Text: DI6 enable alternative double click action
#define ParamAPP_DI6_IN_DC_ENABLED knx.paramBit(76, 7)
#define APP_DI6_IN_LP_ENABLED		0x004D
// Offset: 77, BitOffset: 7, Size: 1 Bit, Text: DI6 enable alternative long press action
#define ParamAPP_DI6_IN_LP_ENABLED knx.paramBit(77, 7)
#define APP_DI6_SCENE_TYPE_A		0x0052
// Offset: 82, BitOffset: 7, Size: 1 Bit, Text: DI6_SCENE_TYPE_A
#define ParamAPP_DI6_SCENE_TYPE_A knx.paramBit(82, 7)
#define APP_DI6_SCENE_TYPE_B		0x0056
// Offset: 86, Size: 1 Bit, Text: DI6_SCENE_TYPE_B
#define ParamAPP_DI6_SCENE_TYPE_B knx.paramBit(86, 0)
#define APP_DI6_SCENE_TYPE_C		0x0056
// Offset: 86, BitOffset: 1, Size: 1 Bit, Text: DI6_SCENE_TYPE_C
#define ParamAPP_DI6_SCENE_TYPE_C knx.paramBit(86, 1)
#define APP_DI6_SCENE_TYPE_D		0x0056
// Offset: 86, BitOffset: 2, Size: 1 Bit, Text: DI6_SCENE_TYPE_D
#define ParamAPP_DI6_SCENE_TYPE_D knx.paramBit(86, 2)
#define APP_DI6_SCENE_TYPE_A_1BIT_VALUE		0x0056
// Offset: 86, BitOffset: 3, Size: 1 Bit, Text: DI6_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(86, 3)
#define APP_DI6_SCENE_TYPE_B_1BIT_VALUE		0x0056
// Offset: 86, BitOffset: 4, Size: 1 Bit, Text: DI6_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(86, 4)
#define APP_DI6_SCENE_TYPE_C_1BIT_VALUE		0x0056
// Offset: 86, BitOffset: 5, Size: 1 Bit, Text: DI6_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(86, 5)
#define APP_DI6_SCENE_TYPE_D_1BIT_VALUE		0x0056
// Offset: 86, BitOffset: 6, Size: 1 Bit, Text: DI6_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(86, 6)
#define APP_DI6_SCENE_TYPE_A_8BIT_VALUE		0x0057
// Offset: 87, Size: 8 Bit (1 Byte), Text: DI6_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(87))))
#define APP_DI6_SCENE_TYPE_B_8BIT_VALUE		0x0058
// Offset: 88, Size: 8 Bit (1 Byte), Text: DI6_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(88))))
#define APP_DI6_SCENE_TYPE_C_8BIT_VALUE		0x0059
// Offset: 89, Size: 8 Bit (1 Byte), Text: DI6_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(89))))
#define APP_DI6_SCENE_TYPE_D_8BIT_VALUE		0x005A
// Offset: 90, Size: 8 Bit (1 Byte), Text: DI6_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI6_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(90))))
#define APP_DI7_MODE		0x005B
#define APP_DI7_MODE_Shift	4
#define APP_DI7_MODE_Mask	0x000F
// Offset: 91, Size: 4 Bit, Text: DI7 function
#define ParamAPP_DI7_MODE ((uint)((knx.paramByte(91) >> APP_DI7_MODE_Shift) & APP_DI7_MODE_Mask))
#define APP_DI7_DEBOUNCE		0x005C
#define APP_DI7_DEBOUNCE_Shift	1
#define APP_DI7_DEBOUNCE_Mask	0x007F
// Offset: 92, Size: 7 Bit, Text: DI7 debounce
#define ParamAPP_DI7_DEBOUNCE ((uint)((knx.paramByte(92) >> APP_DI7_DEBOUNCE_Shift) & APP_DI7_DEBOUNCE_Mask))
#define APP_DI7_LP_DELAY		0x005D
#define APP_DI7_LP_DELAY_Shift	4
#define APP_DI7_LP_DELAY_Mask	0x0FFF
// Offset: 93, Size: 12 Bit, Text: DI7 long press delay
#define ParamAPP_DI7_LP_DELAY ((uint)((knx.paramWord(93) >> APP_DI7_LP_DELAY_Shift) & APP_DI7_LP_DELAY_Mask))
#define APP_DI7_INIT_STATE		0x005B
#define APP_DI7_INIT_STATE_Shift	2
#define APP_DI7_INIT_STATE_Mask	0x0003
// Offset: 91, BitOffset: 4, Size: 2 Bit, Text: DI7 init state
#define ParamAPP_DI7_INIT_STATE ((uint)((knx.paramByte(91) >> APP_DI7_INIT_STATE_Shift) & APP_DI7_INIT_STATE_Mask))
#define APP_DI7_SWITCH_TYPE		0x0056
// Offset: 86, BitOffset: 7, Size: 1 Bit, Text: DI7 switch type
#define ParamAPP_DI7_SWITCH_TYPE knx.paramBit(86, 7)
#define APP_DI7_EM_PULSES		0x005F
#define APP_DI7_EM_PULSES_Shift	2
#define APP_DI7_EM_PULSES_Mask	0x3FFF
// Offset: 95, Size: 14 Bit, Text: DI7 energy meter pulses per kWh
#define ParamAPP_DI7_EM_PULSES ((uint)((knx.paramWord(95) >> APP_DI7_EM_PULSES_Shift) & APP_DI7_EM_PULSES_Mask))
#define APP_DI7_EM_CYCLIC		0x005B
// Offset: 91, BitOffset: 6, Size: 1 Bit, Text: DI7 send cyclically or per kWh.
#define ParamAPP_DI7_EM_CYCLIC knx.paramBit(91, 6)
#define APP_DI7_CB_KWH		0x0061
#define APP_DI7_CB_KWH_Shift	1
#define APP_DI7_CB_KWH_Mask	0x007F
// Offset: 97, Size: 7 Bit, Text: DI7 kWh count
#define ParamAPP_DI7_CB_KWH ((uint)((knx.paramByte(97) >> APP_DI7_CB_KWH_Shift) & APP_DI7_CB_KWH_Mask))
#define APP_DI7_CYCLIC_DELAY		0x0062
// Offset: 98, Size: 16 Bit (2 Byte), Text: DI7 cycle delay
#define ParamAPP_DI7_CYCLIC_DELAY ((uint)((knx.paramWord(98))))
#define APP_DI7_INIT_STATE_OUT		0x005B
// Offset: 91, BitOffset: 7, Size: 1 Bit, Text: DI7 init state
#define ParamAPP_DI7_INIT_STATE_OUT knx.paramBit(91, 7)
#define APP_DI7_INIT_STATE_PWM_OUT		0x0064
// Offset: 100, Size: 8 Bit (1 Byte), Text: DI7 init state PWM
#define ParamAPP_DI7_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(100))))
#define APP_DI7_IN_DC_ENABLED		0x005C
// Offset: 92, BitOffset: 7, Size: 1 Bit, Text: DI7 enable alternative double click action
#define ParamAPP_DI7_IN_DC_ENABLED knx.paramBit(92, 7)
#define APP_DI7_IN_LP_ENABLED		0x0061
// Offset: 97, BitOffset: 7, Size: 1 Bit, Text: DI7 enable alternative long press action
#define ParamAPP_DI7_IN_LP_ENABLED knx.paramBit(97, 7)
#define APP_DI7_SCENE_TYPE_A		0x0065
// Offset: 101, Size: 1 Bit, Text: DI7_SCENE_TYPE_A
#define ParamAPP_DI7_SCENE_TYPE_A knx.paramBit(101, 0)
#define APP_DI7_SCENE_TYPE_B		0x0065
// Offset: 101, BitOffset: 1, Size: 1 Bit, Text: DI7_SCENE_TYPE_B
#define ParamAPP_DI7_SCENE_TYPE_B knx.paramBit(101, 1)
#define APP_DI7_SCENE_TYPE_C		0x0065
// Offset: 101, BitOffset: 2, Size: 1 Bit, Text: DI7_SCENE_TYPE_C
#define ParamAPP_DI7_SCENE_TYPE_C knx.paramBit(101, 2)
#define APP_DI7_SCENE_TYPE_D		0x0065
// Offset: 101, BitOffset: 3, Size: 1 Bit, Text: DI7_SCENE_TYPE_D
#define ParamAPP_DI7_SCENE_TYPE_D knx.paramBit(101, 3)
#define APP_DI7_SCENE_TYPE_A_1BIT_VALUE		0x0065
// Offset: 101, BitOffset: 4, Size: 1 Bit, Text: DI7_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(101, 4)
#define APP_DI7_SCENE_TYPE_B_1BIT_VALUE		0x0065
// Offset: 101, BitOffset: 5, Size: 1 Bit, Text: DI7_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(101, 5)
#define APP_DI7_SCENE_TYPE_C_1BIT_VALUE		0x0065
// Offset: 101, BitOffset: 6, Size: 1 Bit, Text: DI7_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(101, 6)
#define APP_DI7_SCENE_TYPE_D_1BIT_VALUE		0x0065
// Offset: 101, BitOffset: 7, Size: 1 Bit, Text: DI7_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(101, 7)
#define APP_DI7_SCENE_TYPE_A_8BIT_VALUE		0x0066
// Offset: 102, Size: 8 Bit (1 Byte), Text: DI7_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(102))))
#define APP_DI7_SCENE_TYPE_B_8BIT_VALUE		0x0067
// Offset: 103, Size: 8 Bit (1 Byte), Text: DI7_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(103))))
#define APP_DI7_SCENE_TYPE_C_8BIT_VALUE		0x0068
// Offset: 104, Size: 8 Bit (1 Byte), Text: DI7_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(104))))
#define APP_DI7_SCENE_TYPE_D_8BIT_VALUE		0x0069
// Offset: 105, Size: 8 Bit (1 Byte), Text: DI7_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI7_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(105))))
#define APP_DI8_MODE		0x006A
#define APP_DI8_MODE_Shift	4
#define APP_DI8_MODE_Mask	0x000F
// Offset: 106, Size: 4 Bit, Text: DI8 function
#define ParamAPP_DI8_MODE ((uint)((knx.paramByte(106) >> APP_DI8_MODE_Shift) & APP_DI8_MODE_Mask))
#define APP_DI8_DEBOUNCE		0x006B
#define APP_DI8_DEBOUNCE_Shift	1
#define APP_DI8_DEBOUNCE_Mask	0x007F
// Offset: 107, Size: 7 Bit, Text: DI8 debounce
#define ParamAPP_DI8_DEBOUNCE ((uint)((knx.paramByte(107) >> APP_DI8_DEBOUNCE_Shift) & APP_DI8_DEBOUNCE_Mask))
#define APP_DI8_LP_DELAY		0x006C
#define APP_DI8_LP_DELAY_Shift	4
#define APP_DI8_LP_DELAY_Mask	0x0FFF
// Offset: 108, Size: 12 Bit, Text: DI8 long press delay
#define ParamAPP_DI8_LP_DELAY ((uint)((knx.paramWord(108) >> APP_DI8_LP_DELAY_Shift) & APP_DI8_LP_DELAY_Mask))
#define APP_DI8_INIT_STATE		0x006A
#define APP_DI8_INIT_STATE_Shift	2
#define APP_DI8_INIT_STATE_Mask	0x0003
// Offset: 106, BitOffset: 4, Size: 2 Bit, Text: DI8 init state
#define ParamAPP_DI8_INIT_STATE ((uint)((knx.paramByte(106) >> APP_DI8_INIT_STATE_Shift) & APP_DI8_INIT_STATE_Mask))
#define APP_DI8_SWITCH_TYPE		0x006A
// Offset: 106, BitOffset: 6, Size: 1 Bit, Text: DI8 switch type
#define ParamAPP_DI8_SWITCH_TYPE knx.paramBit(106, 6)
#define APP_DI8_EM_PULSES		0x006E
#define APP_DI8_EM_PULSES_Shift	2
#define APP_DI8_EM_PULSES_Mask	0x3FFF
// Offset: 110, Size: 14 Bit, Text: DI8 energy meter pulses per kWh
#define ParamAPP_DI8_EM_PULSES ((uint)((knx.paramWord(110) >> APP_DI8_EM_PULSES_Shift) & APP_DI8_EM_PULSES_Mask))
#define APP_DI8_EM_CYCLIC		0x006A
// Offset: 106, BitOffset: 7, Size: 1 Bit, Text: DI8 send cyclically or per kWh.
#define ParamAPP_DI8_EM_CYCLIC knx.paramBit(106, 7)
#define APP_DI8_CB_KWH		0x0070
#define APP_DI8_CB_KWH_Shift	1
#define APP_DI8_CB_KWH_Mask	0x007F
// Offset: 112, Size: 7 Bit, Text: DI8 kWh count
#define ParamAPP_DI8_CB_KWH ((uint)((knx.paramByte(112) >> APP_DI8_CB_KWH_Shift) & APP_DI8_CB_KWH_Mask))
#define APP_DI8_CYCLIC_DELAY		0x0071
// Offset: 113, Size: 16 Bit (2 Byte), Text: DI8 cycle delay
#define ParamAPP_DI8_CYCLIC_DELAY ((uint)((knx.paramWord(113))))
#define APP_DI8_INIT_STATE_OUT		0x006B
// Offset: 107, BitOffset: 7, Size: 1 Bit, Text: DI8 init state
#define ParamAPP_DI8_INIT_STATE_OUT knx.paramBit(107, 7)
#define APP_DI8_INIT_STATE_PWM_OUT		0x0073
// Offset: 115, Size: 8 Bit (1 Byte), Text: DI8 init state PWM
#define ParamAPP_DI8_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(115))))
#define APP_DI8_IN_DC_ENABLED		0x0070
// Offset: 112, BitOffset: 7, Size: 1 Bit, Text: DI8 enable alternative double click action
#define ParamAPP_DI8_IN_DC_ENABLED knx.paramBit(112, 7)
#define APP_DI8_IN_LP_ENABLED		0x0074
// Offset: 116, Size: 1 Bit, Text: DI8 enable alternative long press action
#define ParamAPP_DI8_IN_LP_ENABLED knx.paramBit(116, 0)
#define APP_DI8_SCENE_TYPE_A		0x0074
// Offset: 116, BitOffset: 1, Size: 1 Bit, Text: DI8_SCENE_TYPE_A
#define ParamAPP_DI8_SCENE_TYPE_A knx.paramBit(116, 1)
#define APP_DI8_SCENE_TYPE_B		0x0074
// Offset: 116, BitOffset: 2, Size: 1 Bit, Text: DI8_SCENE_TYPE_B
#define ParamAPP_DI8_SCENE_TYPE_B knx.paramBit(116, 2)
#define APP_DI8_SCENE_TYPE_C		0x0074
// Offset: 116, BitOffset: 3, Size: 1 Bit, Text: DI8_SCENE_TYPE_C
#define ParamAPP_DI8_SCENE_TYPE_C knx.paramBit(116, 3)
#define APP_DI8_SCENE_TYPE_D		0x0074
// Offset: 116, BitOffset: 4, Size: 1 Bit, Text: DI8_SCENE_TYPE_D
#define ParamAPP_DI8_SCENE_TYPE_D knx.paramBit(116, 4)
#define APP_DI8_SCENE_TYPE_A_1BIT_VALUE		0x0074
// Offset: 116, BitOffset: 5, Size: 1 Bit, Text: DI8_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(116, 5)
#define APP_DI8_SCENE_TYPE_B_1BIT_VALUE		0x0074
// Offset: 116, BitOffset: 6, Size: 1 Bit, Text: DI8_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(116, 6)
#define APP_DI8_SCENE_TYPE_C_1BIT_VALUE		0x0074
// Offset: 116, BitOffset: 7, Size: 1 Bit, Text: DI8_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(116, 7)
#define APP_DI8_SCENE_TYPE_D_1BIT_VALUE		0x0075
// Offset: 117, Size: 1 Bit, Text: DI8_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(117, 0)
#define APP_DI8_SCENE_TYPE_A_8BIT_VALUE		0x0076
// Offset: 118, Size: 8 Bit (1 Byte), Text: DI8_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(118))))
#define APP_DI8_SCENE_TYPE_B_8BIT_VALUE		0x0077
// Offset: 119, Size: 8 Bit (1 Byte), Text: DI8_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(119))))
#define APP_DI8_SCENE_TYPE_C_8BIT_VALUE		0x0078
// Offset: 120, Size: 8 Bit (1 Byte), Text: DI8_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(120))))
#define APP_DI8_SCENE_TYPE_D_8BIT_VALUE		0x0079
// Offset: 121, Size: 8 Bit (1 Byte), Text: DI8_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DI8_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(121))))
#define APP_DIAUX_MODE		0x0075
#define APP_DIAUX_MODE_Shift	3
#define APP_DIAUX_MODE_Mask	0x000F
// Offset: 117, BitOffset: 1, Size: 4 Bit, Text: DIAUX function
#define ParamAPP_DIAUX_MODE ((uint)((knx.paramByte(117) >> APP_DIAUX_MODE_Shift) & APP_DIAUX_MODE_Mask))
#define APP_DIAUX_DEBOUNCE		0x007A
#define APP_DIAUX_DEBOUNCE_Shift	1
#define APP_DIAUX_DEBOUNCE_Mask	0x007F
// Offset: 122, Size: 7 Bit, Text: DIAUX debounce
#define ParamAPP_DIAUX_DEBOUNCE ((uint)((knx.paramByte(122) >> APP_DIAUX_DEBOUNCE_Shift) & APP_DIAUX_DEBOUNCE_Mask))
#define APP_DIAUX_LP_DELAY		0x007B
#define APP_DIAUX_LP_DELAY_Shift	4
#define APP_DIAUX_LP_DELAY_Mask	0x0FFF
// Offset: 123, Size: 12 Bit, Text: DIAUX long press delay
#define ParamAPP_DIAUX_LP_DELAY ((uint)((knx.paramWord(123) >> APP_DIAUX_LP_DELAY_Shift) & APP_DIAUX_LP_DELAY_Mask))
#define APP_DIAUX_INIT_STATE		0x0075
#define APP_DIAUX_INIT_STATE_Shift	1
#define APP_DIAUX_INIT_STATE_Mask	0x0003
// Offset: 117, BitOffset: 5, Size: 2 Bit, Text: DIAUX init state
#define ParamAPP_DIAUX_INIT_STATE ((uint)((knx.paramByte(117) >> APP_DIAUX_INIT_STATE_Shift) & APP_DIAUX_INIT_STATE_Mask))
#define APP_DIAUX_SWITCH_TYPE		0x0075
// Offset: 117, BitOffset: 7, Size: 1 Bit, Text: DIAUX switch type
#define ParamAPP_DIAUX_SWITCH_TYPE knx.paramBit(117, 7)
#define APP_DIAUX_EM_PULSES		0x007D
#define APP_DIAUX_EM_PULSES_Shift	2
#define APP_DIAUX_EM_PULSES_Mask	0x3FFF
// Offset: 125, Size: 14 Bit, Text: DIAUX energy meter pulses per kWh
#define ParamAPP_DIAUX_EM_PULSES ((uint)((knx.paramWord(125) >> APP_DIAUX_EM_PULSES_Shift) & APP_DIAUX_EM_PULSES_Mask))
#define APP_DIAUX_EM_CYCLIC		0x007A
// Offset: 122, BitOffset: 7, Size: 1 Bit, Text: DIAUX send cyclically or per kWh.
#define ParamAPP_DIAUX_EM_CYCLIC knx.paramBit(122, 7)
#define APP_DIAUX_CB_KWH		0x007F
#define APP_DIAUX_CB_KWH_Shift	1
#define APP_DIAUX_CB_KWH_Mask	0x007F
// Offset: 127, Size: 7 Bit, Text: DIAUX kWh count
#define ParamAPP_DIAUX_CB_KWH ((uint)((knx.paramByte(127) >> APP_DIAUX_CB_KWH_Shift) & APP_DIAUX_CB_KWH_Mask))
#define APP_DIAUX_CYCLIC_DELAY		0x0080
// Offset: 128, Size: 16 Bit (2 Byte), Text: DIAUX cycle delay
#define ParamAPP_DIAUX_CYCLIC_DELAY ((uint)((knx.paramWord(128))))
#define APP_DIAUX_INIT_STATE_OUT		0x007F
// Offset: 127, BitOffset: 7, Size: 1 Bit, Text: DIAUX init state
#define ParamAPP_DIAUX_INIT_STATE_OUT knx.paramBit(127, 7)
#define APP_DIAUX_INIT_STATE_PWM_OUT		0x0082
// Offset: 130, Size: 8 Bit (1 Byte), Text: DIAUX init state PWM
#define ParamAPP_DIAUX_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(130))))
#define APP_DIAUX_IN_DC_ENABLED		0x0083
// Offset: 131, Size: 1 Bit, Text: DIAUX enable alternative double click action
#define ParamAPP_DIAUX_IN_DC_ENABLED knx.paramBit(131, 0)
#define APP_DIAUX_IN_LP_ENABLED		0x0083
// Offset: 131, BitOffset: 1, Size: 1 Bit, Text: DIAUX enable alternative long press action
#define ParamAPP_DIAUX_IN_LP_ENABLED knx.paramBit(131, 1)
#define APP_DIAUX_SCENE_TYPE_A		0x0083
// Offset: 131, BitOffset: 2, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_A
#define ParamAPP_DIAUX_SCENE_TYPE_A knx.paramBit(131, 2)
#define APP_DIAUX_SCENE_TYPE_B		0x0083
// Offset: 131, BitOffset: 3, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_B
#define ParamAPP_DIAUX_SCENE_TYPE_B knx.paramBit(131, 3)
#define APP_DIAUX_SCENE_TYPE_C		0x0083
// Offset: 131, BitOffset: 4, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_C
#define ParamAPP_DIAUX_SCENE_TYPE_C knx.paramBit(131, 4)
#define APP_DIAUX_SCENE_TYPE_D		0x0083
// Offset: 131, BitOffset: 5, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_D
#define ParamAPP_DIAUX_SCENE_TYPE_D knx.paramBit(131, 5)
#define APP_DIAUX_SCENE_TYPE_A_1BIT_VALUE		0x0083
// Offset: 131, BitOffset: 6, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_A_1BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_A_1BIT_VALUE knx.paramBit(131, 6)
#define APP_DIAUX_SCENE_TYPE_B_1BIT_VALUE		0x0083
// Offset: 131, BitOffset: 7, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_B_1BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_B_1BIT_VALUE knx.paramBit(131, 7)
#define APP_DIAUX_SCENE_TYPE_C_1BIT_VALUE		0x0084
// Offset: 132, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_C_1BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_C_1BIT_VALUE knx.paramBit(132, 0)
#define APP_DIAUX_SCENE_TYPE_D_1BIT_VALUE		0x0084
// Offset: 132, BitOffset: 1, Size: 1 Bit, Text: DIAUX_SCENE_TYPE_D_1BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_D_1BIT_VALUE knx.paramBit(132, 1)
#define APP_DIAUX_SCENE_TYPE_A_8BIT_VALUE		0x0085
// Offset: 133, Size: 8 Bit (1 Byte), Text: DIAUX_SCENE_TYPE_A_8BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_A_8BIT_VALUE ((uint)((knx.paramByte(133))))
#define APP_DIAUX_SCENE_TYPE_B_8BIT_VALUE		0x0086
// Offset: 134, Size: 8 Bit (1 Byte), Text: DIAUX_SCENE_TYPE_B_8BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_B_8BIT_VALUE ((uint)((knx.paramByte(134))))
#define APP_DIAUX_SCENE_TYPE_C_8BIT_VALUE		0x0087
// Offset: 135, Size: 8 Bit (1 Byte), Text: DIAUX_SCENE_TYPE_C_8BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_C_8BIT_VALUE ((uint)((knx.paramByte(135))))
#define APP_DIAUX_SCENE_TYPE_D_8BIT_VALUE		0x0088
// Offset: 136, Size: 8 Bit (1 Byte), Text: DIAUX_SCENE_TYPE_D_8BIT_VALUE
#define ParamAPP_DIAUX_SCENE_TYPE_D_8BIT_VALUE ((uint)((knx.paramByte(136))))
#define APP_DO1_MODE		0x0084
#define APP_DO1_MODE_Shift	3
#define APP_DO1_MODE_Mask	0x0007
// Offset: 132, BitOffset: 2, Size: 3 Bit, Text: DO1 function
#define ParamAPP_DO1_MODE ((uint)((knx.paramByte(132) >> APP_DO1_MODE_Shift) & APP_DO1_MODE_Mask))
#define APP_DO1_DEBOUNCE		0x0089
#define APP_DO1_DEBOUNCE_Shift	1
#define APP_DO1_DEBOUNCE_Mask	0x007F
// Offset: 137, Size: 7 Bit, Text: DO1 debounce
#define ParamAPP_DO1_DEBOUNCE ((uint)((knx.paramByte(137) >> APP_DO1_DEBOUNCE_Shift) & APP_DO1_DEBOUNCE_Mask))
#define APP_DO1_LP_DELAY		0x008A
#define APP_DO1_LP_DELAY_Shift	4
#define APP_DO1_LP_DELAY_Mask	0x0FFF
// Offset: 138, Size: 12 Bit, Text: DO1 long press delay
#define ParamAPP_DO1_LP_DELAY ((uint)((knx.paramWord(138) >> APP_DO1_LP_DELAY_Shift) & APP_DO1_LP_DELAY_Mask))
#define APP_DO1_INIT_STATE		0x0084
#define APP_DO1_INIT_STATE_Shift	1
#define APP_DO1_INIT_STATE_Mask	0x0003
// Offset: 132, BitOffset: 5, Size: 2 Bit, Text: DO1 init state
#define ParamAPP_DO1_INIT_STATE ((uint)((knx.paramByte(132) >> APP_DO1_INIT_STATE_Shift) & APP_DO1_INIT_STATE_Mask))
#define APP_DO1_SWITCH_TYPE		0x0084
// Offset: 132, BitOffset: 7, Size: 1 Bit, Text: DO1 switch type
#define ParamAPP_DO1_SWITCH_TYPE knx.paramBit(132, 7)
#define APP_DO1_EM_PULSES		0x008C
#define APP_DO1_EM_PULSES_Shift	2
#define APP_DO1_EM_PULSES_Mask	0x3FFF
// Offset: 140, Size: 14 Bit, Text: DO1 energy meter pulses per kWh
#define ParamAPP_DO1_EM_PULSES ((uint)((knx.paramWord(140) >> APP_DO1_EM_PULSES_Shift) & APP_DO1_EM_PULSES_Mask))
#define APP_DO1_EM_CYCLIC		0x0089
// Offset: 137, BitOffset: 7, Size: 1 Bit, Text: DO1 send cyclically or per kWh.
#define ParamAPP_DO1_EM_CYCLIC knx.paramBit(137, 7)
#define APP_DO1_CB_KWH		0x008E
#define APP_DO1_CB_KWH_Shift	1
#define APP_DO1_CB_KWH_Mask	0x007F
// Offset: 142, Size: 7 Bit, Text: DO1 kWh count
#define ParamAPP_DO1_CB_KWH ((uint)((knx.paramByte(142) >> APP_DO1_CB_KWH_Shift) & APP_DO1_CB_KWH_Mask))
#define APP_DO1_CYCLIC_DELAY		0x008F
// Offset: 143, Size: 16 Bit (2 Byte), Text: DO1 cycle delay
#define ParamAPP_DO1_CYCLIC_DELAY ((uint)((knx.paramWord(143))))
#define APP_DO1_INIT_STATE_OUT		0x008E
// Offset: 142, BitOffset: 7, Size: 1 Bit, Text: DO1 init state
#define ParamAPP_DO1_INIT_STATE_OUT knx.paramBit(142, 7)
#define APP_DO1_INIT_STATE_PWM_OUT		0x0091
// Offset: 145, Size: 8 Bit (1 Byte), Text: DO1 init state PWM
#define ParamAPP_DO1_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(145))))
#define APP_DO1_IN_DC_ENABLED		0x0092
// Offset: 146, Size: 1 Bit, Text: DO1 enable alternative double click action
#define ParamAPP_DO1_IN_DC_ENABLED knx.paramBit(146, 0)
#define APP_DO1_IN_LP_ENABLED		0x0092
// Offset: 146, BitOffset: 1, Size: 1 Bit, Text: DO1 enable alternative long press action
#define ParamAPP_DO1_IN_LP_ENABLED knx.paramBit(146, 1)
#define APP_DO2_MODE		0x0092
#define APP_DO2_MODE_Shift	3
#define APP_DO2_MODE_Mask	0x0007
// Offset: 146, BitOffset: 2, Size: 3 Bit, Text: DO2 function
#define ParamAPP_DO2_MODE ((uint)((knx.paramByte(146) >> APP_DO2_MODE_Shift) & APP_DO2_MODE_Mask))
#define APP_DO2_DEBOUNCE		0x0093
#define APP_DO2_DEBOUNCE_Shift	1
#define APP_DO2_DEBOUNCE_Mask	0x007F
// Offset: 147, Size: 7 Bit, Text: DO2 debounce
#define ParamAPP_DO2_DEBOUNCE ((uint)((knx.paramByte(147) >> APP_DO2_DEBOUNCE_Shift) & APP_DO2_DEBOUNCE_Mask))
#define APP_DO2_LP_DELAY		0x0094
#define APP_DO2_LP_DELAY_Shift	4
#define APP_DO2_LP_DELAY_Mask	0x0FFF
// Offset: 148, Size: 12 Bit, Text: DO2 long press delay
#define ParamAPP_DO2_LP_DELAY ((uint)((knx.paramWord(148) >> APP_DO2_LP_DELAY_Shift) & APP_DO2_LP_DELAY_Mask))
#define APP_DO2_INIT_STATE		0x0092
#define APP_DO2_INIT_STATE_Shift	1
#define APP_DO2_INIT_STATE_Mask	0x0003
// Offset: 146, BitOffset: 5, Size: 2 Bit, Text: DO2 init state
#define ParamAPP_DO2_INIT_STATE ((uint)((knx.paramByte(146) >> APP_DO2_INIT_STATE_Shift) & APP_DO2_INIT_STATE_Mask))
#define APP_DO2_SWITCH_TYPE		0x0092
// Offset: 146, BitOffset: 7, Size: 1 Bit, Text: DO2 switch type
#define ParamAPP_DO2_SWITCH_TYPE knx.paramBit(146, 7)
#define APP_DO2_EM_PULSES		0x0096
#define APP_DO2_EM_PULSES_Shift	2
#define APP_DO2_EM_PULSES_Mask	0x3FFF
// Offset: 150, Size: 14 Bit, Text: DO2 energy meter pulses per kWh
#define ParamAPP_DO2_EM_PULSES ((uint)((knx.paramWord(150) >> APP_DO2_EM_PULSES_Shift) & APP_DO2_EM_PULSES_Mask))
#define APP_DO2_EM_CYCLIC		0x0093
// Offset: 147, BitOffset: 7, Size: 1 Bit, Text: DO2 send cyclically or per kWh.
#define ParamAPP_DO2_EM_CYCLIC knx.paramBit(147, 7)
#define APP_DO2_CB_KWH		0x0098
#define APP_DO2_CB_KWH_Shift	1
#define APP_DO2_CB_KWH_Mask	0x007F
// Offset: 152, Size: 7 Bit, Text: DO2 kWh count
#define ParamAPP_DO2_CB_KWH ((uint)((knx.paramByte(152) >> APP_DO2_CB_KWH_Shift) & APP_DO2_CB_KWH_Mask))
#define APP_DO2_CYCLIC_DELAY		0x0099
// Offset: 153, Size: 16 Bit (2 Byte), Text: DO2 cycle delay
#define ParamAPP_DO2_CYCLIC_DELAY ((uint)((knx.paramWord(153))))
#define APP_DO2_INIT_STATE_OUT		0x0098
// Offset: 152, BitOffset: 7, Size: 1 Bit, Text: DO2 init state
#define ParamAPP_DO2_INIT_STATE_OUT knx.paramBit(152, 7)
#define APP_DO2_INIT_STATE_PWM_OUT		0x009B
// Offset: 155, Size: 8 Bit (1 Byte), Text: DO2 init state PWM
#define ParamAPP_DO2_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(155))))
#define APP_DO2_IN_DC_ENABLED		0x009C
// Offset: 156, Size: 1 Bit, Text: DO2 enable alternative double click action
#define ParamAPP_DO2_IN_DC_ENABLED knx.paramBit(156, 0)
#define APP_DO2_IN_LP_ENABLED		0x009C
// Offset: 156, BitOffset: 1, Size: 1 Bit, Text: DO2 enable alternative long press action
#define ParamAPP_DO2_IN_LP_ENABLED knx.paramBit(156, 1)
#define APP_DO3_MODE		0x009C
#define APP_DO3_MODE_Shift	3
#define APP_DO3_MODE_Mask	0x0007
// Offset: 156, BitOffset: 2, Size: 3 Bit, Text: DO3 function
#define ParamAPP_DO3_MODE ((uint)((knx.paramByte(156) >> APP_DO3_MODE_Shift) & APP_DO3_MODE_Mask))
#define APP_DO3_DEBOUNCE		0x009D
#define APP_DO3_DEBOUNCE_Shift	1
#define APP_DO3_DEBOUNCE_Mask	0x007F
// Offset: 157, Size: 7 Bit, Text: DO3 debounce
#define ParamAPP_DO3_DEBOUNCE ((uint)((knx.paramByte(157) >> APP_DO3_DEBOUNCE_Shift) & APP_DO3_DEBOUNCE_Mask))
#define APP_DO3_LP_DELAY		0x009E
#define APP_DO3_LP_DELAY_Shift	4
#define APP_DO3_LP_DELAY_Mask	0x0FFF
// Offset: 158, Size: 12 Bit, Text: DO3 long press delay
#define ParamAPP_DO3_LP_DELAY ((uint)((knx.paramWord(158) >> APP_DO3_LP_DELAY_Shift) & APP_DO3_LP_DELAY_Mask))
#define APP_DO3_INIT_STATE		0x009C
#define APP_DO3_INIT_STATE_Shift	1
#define APP_DO3_INIT_STATE_Mask	0x0003
// Offset: 156, BitOffset: 5, Size: 2 Bit, Text: DO3 init state
#define ParamAPP_DO3_INIT_STATE ((uint)((knx.paramByte(156) >> APP_DO3_INIT_STATE_Shift) & APP_DO3_INIT_STATE_Mask))
#define APP_DO3_SWITCH_TYPE		0x009C
// Offset: 156, BitOffset: 7, Size: 1 Bit, Text: DO3 switch type
#define ParamAPP_DO3_SWITCH_TYPE knx.paramBit(156, 7)
#define APP_DO3_EM_PULSES		0x00A0
#define APP_DO3_EM_PULSES_Shift	2
#define APP_DO3_EM_PULSES_Mask	0x3FFF
// Offset: 160, Size: 14 Bit, Text: DO3 energy meter pulses per kWh
#define ParamAPP_DO3_EM_PULSES ((uint)((knx.paramWord(160) >> APP_DO3_EM_PULSES_Shift) & APP_DO3_EM_PULSES_Mask))
#define APP_DO3_EM_CYCLIC		0x009D
// Offset: 157, BitOffset: 7, Size: 1 Bit, Text: DO3 send cyclically or per kWh.
#define ParamAPP_DO3_EM_CYCLIC knx.paramBit(157, 7)
#define APP_DO3_CB_KWH		0x00A2
#define APP_DO3_CB_KWH_Shift	1
#define APP_DO3_CB_KWH_Mask	0x007F
// Offset: 162, Size: 7 Bit, Text: DO3 kWh count
#define ParamAPP_DO3_CB_KWH ((uint)((knx.paramByte(162) >> APP_DO3_CB_KWH_Shift) & APP_DO3_CB_KWH_Mask))
#define APP_DO3_CYCLIC_DELAY		0x00A3
// Offset: 163, Size: 16 Bit (2 Byte), Text: DO3 cycle delay
#define ParamAPP_DO3_CYCLIC_DELAY ((uint)((knx.paramWord(163))))
#define APP_DO3_INIT_STATE_OUT		0x00A2
// Offset: 162, BitOffset: 7, Size: 1 Bit, Text: DO3 init state
#define ParamAPP_DO3_INIT_STATE_OUT knx.paramBit(162, 7)
#define APP_DO3_INIT_STATE_PWM_OUT		0x00A5
// Offset: 165, Size: 8 Bit (1 Byte), Text: DO3 init state PWM
#define ParamAPP_DO3_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(165))))
#define APP_DO3_IN_DC_ENABLED		0x00A6
// Offset: 166, Size: 1 Bit, Text: DO3 enable alternative double click action
#define ParamAPP_DO3_IN_DC_ENABLED knx.paramBit(166, 0)
#define APP_DO3_IN_LP_ENABLED		0x00A6
// Offset: 166, BitOffset: 1, Size: 1 Bit, Text: DO3 enable alternative long press action
#define ParamAPP_DO3_IN_LP_ENABLED knx.paramBit(166, 1)
#define APP_DO4_MODE		0x00A6
#define APP_DO4_MODE_Shift	3
#define APP_DO4_MODE_Mask	0x0007
// Offset: 166, BitOffset: 2, Size: 3 Bit, Text: DO4 function
#define ParamAPP_DO4_MODE ((uint)((knx.paramByte(166) >> APP_DO4_MODE_Shift) & APP_DO4_MODE_Mask))
#define APP_DO4_DEBOUNCE		0x00A7
#define APP_DO4_DEBOUNCE_Shift	1
#define APP_DO4_DEBOUNCE_Mask	0x007F
// Offset: 167, Size: 7 Bit, Text: DO4 debounce
#define ParamAPP_DO4_DEBOUNCE ((uint)((knx.paramByte(167) >> APP_DO4_DEBOUNCE_Shift) & APP_DO4_DEBOUNCE_Mask))
#define APP_DO4_LP_DELAY		0x00A8
#define APP_DO4_LP_DELAY_Shift	4
#define APP_DO4_LP_DELAY_Mask	0x0FFF
// Offset: 168, Size: 12 Bit, Text: DO4 long press delay
#define ParamAPP_DO4_LP_DELAY ((uint)((knx.paramWord(168) >> APP_DO4_LP_DELAY_Shift) & APP_DO4_LP_DELAY_Mask))
#define APP_DO4_INIT_STATE		0x00A6
#define APP_DO4_INIT_STATE_Shift	1
#define APP_DO4_INIT_STATE_Mask	0x0003
// Offset: 166, BitOffset: 5, Size: 2 Bit, Text: DO4 init state
#define ParamAPP_DO4_INIT_STATE ((uint)((knx.paramByte(166) >> APP_DO4_INIT_STATE_Shift) & APP_DO4_INIT_STATE_Mask))
#define APP_DO4_SWITCH_TYPE		0x00A6
// Offset: 166, BitOffset: 7, Size: 1 Bit, Text: DO4 switch type
#define ParamAPP_DO4_SWITCH_TYPE knx.paramBit(166, 7)
#define APP_DO4_EM_PULSES		0x00AA
#define APP_DO4_EM_PULSES_Shift	2
#define APP_DO4_EM_PULSES_Mask	0x3FFF
// Offset: 170, Size: 14 Bit, Text: DO4 energy meter pulses per kWh
#define ParamAPP_DO4_EM_PULSES ((uint)((knx.paramWord(170) >> APP_DO4_EM_PULSES_Shift) & APP_DO4_EM_PULSES_Mask))
#define APP_DO4_EM_CYCLIC		0x00A7
// Offset: 167, BitOffset: 7, Size: 1 Bit, Text: DO4 send cyclically or per kWh.
#define ParamAPP_DO4_EM_CYCLIC knx.paramBit(167, 7)
#define APP_DO4_CB_KWH		0x00AC
#define APP_DO4_CB_KWH_Shift	1
#define APP_DO4_CB_KWH_Mask	0x007F
// Offset: 172, Size: 7 Bit, Text: DO4 kWh count
#define ParamAPP_DO4_CB_KWH ((uint)((knx.paramByte(172) >> APP_DO4_CB_KWH_Shift) & APP_DO4_CB_KWH_Mask))
#define APP_DO4_CYCLIC_DELAY		0x00AD
// Offset: 173, Size: 16 Bit (2 Byte), Text: DO4 cycle delay
#define ParamAPP_DO4_CYCLIC_DELAY ((uint)((knx.paramWord(173))))
#define APP_DO4_INIT_STATE_OUT		0x00AC
// Offset: 172, BitOffset: 7, Size: 1 Bit, Text: DO4 init state
#define ParamAPP_DO4_INIT_STATE_OUT knx.paramBit(172, 7)
#define APP_DO4_INIT_STATE_PWM_OUT		0x00AF
// Offset: 175, Size: 8 Bit (1 Byte), Text: DO4 init state PWM
#define ParamAPP_DO4_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(175))))
#define APP_DO4_IN_DC_ENABLED		0x00B0
// Offset: 176, Size: 1 Bit, Text: DO4 enable alternative double click action
#define ParamAPP_DO4_IN_DC_ENABLED knx.paramBit(176, 0)
#define APP_DO4_IN_LP_ENABLED		0x00B0
// Offset: 176, BitOffset: 1, Size: 1 Bit, Text: DO4 enable alternative long press action
#define ParamAPP_DO4_IN_LP_ENABLED knx.paramBit(176, 1)
#define APP_DO5_MODE		0x00B0
#define APP_DO5_MODE_Shift	3
#define APP_DO5_MODE_Mask	0x0007
// Offset: 176, BitOffset: 2, Size: 3 Bit, Text: DO5 function
#define ParamAPP_DO5_MODE ((uint)((knx.paramByte(176) >> APP_DO5_MODE_Shift) & APP_DO5_MODE_Mask))
#define APP_DO5_DEBOUNCE		0x00B1
#define APP_DO5_DEBOUNCE_Shift	1
#define APP_DO5_DEBOUNCE_Mask	0x007F
// Offset: 177, Size: 7 Bit, Text: DO5 debounce
#define ParamAPP_DO5_DEBOUNCE ((uint)((knx.paramByte(177) >> APP_DO5_DEBOUNCE_Shift) & APP_DO5_DEBOUNCE_Mask))
#define APP_DO5_LP_DELAY		0x00B2
#define APP_DO5_LP_DELAY_Shift	4
#define APP_DO5_LP_DELAY_Mask	0x0FFF
// Offset: 178, Size: 12 Bit, Text: DO5 long press delay
#define ParamAPP_DO5_LP_DELAY ((uint)((knx.paramWord(178) >> APP_DO5_LP_DELAY_Shift) & APP_DO5_LP_DELAY_Mask))
#define APP_DO5_INIT_STATE		0x00B0
#define APP_DO5_INIT_STATE_Shift	1
#define APP_DO5_INIT_STATE_Mask	0x0003
// Offset: 176, BitOffset: 5, Size: 2 Bit, Text: DO5 init state
#define ParamAPP_DO5_INIT_STATE ((uint)((knx.paramByte(176) >> APP_DO5_INIT_STATE_Shift) & APP_DO5_INIT_STATE_Mask))
#define APP_DO5_SWITCH_TYPE		0x00B0
// Offset: 176, BitOffset: 7, Size: 1 Bit, Text: DO5 switch type
#define ParamAPP_DO5_SWITCH_TYPE knx.paramBit(176, 7)
#define APP_DO5_EM_PULSES		0x00B4
#define APP_DO5_EM_PULSES_Shift	2
#define APP_DO5_EM_PULSES_Mask	0x3FFF
// Offset: 180, Size: 14 Bit, Text: DO5 energy meter pulses per kWh
#define ParamAPP_DO5_EM_PULSES ((uint)((knx.paramWord(180) >> APP_DO5_EM_PULSES_Shift) & APP_DO5_EM_PULSES_Mask))
#define APP_DO5_EM_CYCLIC		0x00B1
// Offset: 177, BitOffset: 7, Size: 1 Bit, Text: DO5 send cyclically or per kWh.
#define ParamAPP_DO5_EM_CYCLIC knx.paramBit(177, 7)
#define APP_DO5_CB_KWH		0x00B6
#define APP_DO5_CB_KWH_Shift	1
#define APP_DO5_CB_KWH_Mask	0x007F
// Offset: 182, Size: 7 Bit, Text: DO5 kWh count
#define ParamAPP_DO5_CB_KWH ((uint)((knx.paramByte(182) >> APP_DO5_CB_KWH_Shift) & APP_DO5_CB_KWH_Mask))
#define APP_DO5_CYCLIC_DELAY		0x00B7
// Offset: 183, Size: 16 Bit (2 Byte), Text: DO5 cycle delay
#define ParamAPP_DO5_CYCLIC_DELAY ((uint)((knx.paramWord(183))))
#define APP_DO5_INIT_STATE_OUT		0x00B6
// Offset: 182, BitOffset: 7, Size: 1 Bit, Text: DO5 init state
#define ParamAPP_DO5_INIT_STATE_OUT knx.paramBit(182, 7)
#define APP_DO5_INIT_STATE_PWM_OUT		0x00B9
// Offset: 185, Size: 8 Bit (1 Byte), Text: DO5 init state PWM
#define ParamAPP_DO5_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(185))))
#define APP_DO5_IN_DC_ENABLED		0x00BA
// Offset: 186, Size: 1 Bit, Text: DO5 enable alternative double click action
#define ParamAPP_DO5_IN_DC_ENABLED knx.paramBit(186, 0)
#define APP_DO5_IN_LP_ENABLED		0x00BA
// Offset: 186, BitOffset: 1, Size: 1 Bit, Text: DO5 enable alternative long press action
#define ParamAPP_DO5_IN_LP_ENABLED knx.paramBit(186, 1)
#define APP_DO6_MODE		0x00BA
#define APP_DO6_MODE_Shift	3
#define APP_DO6_MODE_Mask	0x0007
// Offset: 186, BitOffset: 2, Size: 3 Bit, Text: DO6 function
#define ParamAPP_DO6_MODE ((uint)((knx.paramByte(186) >> APP_DO6_MODE_Shift) & APP_DO6_MODE_Mask))
#define APP_DO6_DEBOUNCE		0x00BB
#define APP_DO6_DEBOUNCE_Shift	1
#define APP_DO6_DEBOUNCE_Mask	0x007F
// Offset: 187, Size: 7 Bit, Text: DO6 debounce
#define ParamAPP_DO6_DEBOUNCE ((uint)((knx.paramByte(187) >> APP_DO6_DEBOUNCE_Shift) & APP_DO6_DEBOUNCE_Mask))
#define APP_DO6_LP_DELAY		0x00BC
#define APP_DO6_LP_DELAY_Shift	4
#define APP_DO6_LP_DELAY_Mask	0x0FFF
// Offset: 188, Size: 12 Bit, Text: DO6 long press delay
#define ParamAPP_DO6_LP_DELAY ((uint)((knx.paramWord(188) >> APP_DO6_LP_DELAY_Shift) & APP_DO6_LP_DELAY_Mask))
#define APP_DO6_INIT_STATE		0x00BA
#define APP_DO6_INIT_STATE_Shift	1
#define APP_DO6_INIT_STATE_Mask	0x0003
// Offset: 186, BitOffset: 5, Size: 2 Bit, Text: DO6 init state
#define ParamAPP_DO6_INIT_STATE ((uint)((knx.paramByte(186) >> APP_DO6_INIT_STATE_Shift) & APP_DO6_INIT_STATE_Mask))
#define APP_DO6_SWITCH_TYPE		0x00BA
// Offset: 186, BitOffset: 7, Size: 1 Bit, Text: DO6 switch type
#define ParamAPP_DO6_SWITCH_TYPE knx.paramBit(186, 7)
#define APP_DO6_EM_PULSES		0x00BE
#define APP_DO6_EM_PULSES_Shift	2
#define APP_DO6_EM_PULSES_Mask	0x3FFF
// Offset: 190, Size: 14 Bit, Text: DO6 energy meter pulses per kWh
#define ParamAPP_DO6_EM_PULSES ((uint)((knx.paramWord(190) >> APP_DO6_EM_PULSES_Shift) & APP_DO6_EM_PULSES_Mask))
#define APP_DO6_EM_CYCLIC		0x00BB
// Offset: 187, BitOffset: 7, Size: 1 Bit, Text: DO6 send cyclically or per kWh.
#define ParamAPP_DO6_EM_CYCLIC knx.paramBit(187, 7)
#define APP_DO6_CB_KWH		0x00C0
#define APP_DO6_CB_KWH_Shift	1
#define APP_DO6_CB_KWH_Mask	0x007F
// Offset: 192, Size: 7 Bit, Text: DO6 kWh count
#define ParamAPP_DO6_CB_KWH ((uint)((knx.paramByte(192) >> APP_DO6_CB_KWH_Shift) & APP_DO6_CB_KWH_Mask))
#define APP_DO6_CYCLIC_DELAY		0x00C1
// Offset: 193, Size: 16 Bit (2 Byte), Text: DO6 cycle delay
#define ParamAPP_DO6_CYCLIC_DELAY ((uint)((knx.paramWord(193))))
#define APP_DO6_INIT_STATE_OUT		0x00C0
// Offset: 192, BitOffset: 7, Size: 1 Bit, Text: DO6 init state
#define ParamAPP_DO6_INIT_STATE_OUT knx.paramBit(192, 7)
#define APP_DO6_INIT_STATE_PWM_OUT		0x00C3
// Offset: 195, Size: 8 Bit (1 Byte), Text: DO6 init state PWM
#define ParamAPP_DO6_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(195))))
#define APP_DO6_IN_DC_ENABLED		0x00C4
// Offset: 196, Size: 1 Bit, Text: DO6 enable alternative double click action
#define ParamAPP_DO6_IN_DC_ENABLED knx.paramBit(196, 0)
#define APP_DO6_IN_LP_ENABLED		0x00C4
// Offset: 196, BitOffset: 1, Size: 1 Bit, Text: DO6 enable alternative long press action
#define ParamAPP_DO6_IN_LP_ENABLED knx.paramBit(196, 1)
#define APP_DO7_MODE		0x00C4
#define APP_DO7_MODE_Shift	3
#define APP_DO7_MODE_Mask	0x0007
// Offset: 196, BitOffset: 2, Size: 3 Bit, Text: DO7 function
#define ParamAPP_DO7_MODE ((uint)((knx.paramByte(196) >> APP_DO7_MODE_Shift) & APP_DO7_MODE_Mask))
#define APP_DO7_DEBOUNCE		0x00C5
#define APP_DO7_DEBOUNCE_Shift	1
#define APP_DO7_DEBOUNCE_Mask	0x007F
// Offset: 197, Size: 7 Bit, Text: DO7 debounce
#define ParamAPP_DO7_DEBOUNCE ((uint)((knx.paramByte(197) >> APP_DO7_DEBOUNCE_Shift) & APP_DO7_DEBOUNCE_Mask))
#define APP_DO7_LP_DELAY		0x00C6
#define APP_DO7_LP_DELAY_Shift	4
#define APP_DO7_LP_DELAY_Mask	0x0FFF
// Offset: 198, Size: 12 Bit, Text: DO7 long press delay
#define ParamAPP_DO7_LP_DELAY ((uint)((knx.paramWord(198) >> APP_DO7_LP_DELAY_Shift) & APP_DO7_LP_DELAY_Mask))
#define APP_DO7_INIT_STATE		0x00C4
#define APP_DO7_INIT_STATE_Shift	1
#define APP_DO7_INIT_STATE_Mask	0x0003
// Offset: 196, BitOffset: 5, Size: 2 Bit, Text: DO7 init state
#define ParamAPP_DO7_INIT_STATE ((uint)((knx.paramByte(196) >> APP_DO7_INIT_STATE_Shift) & APP_DO7_INIT_STATE_Mask))
#define APP_DO7_SWITCH_TYPE		0x00C4
// Offset: 196, BitOffset: 7, Size: 1 Bit, Text: DO7 switch type
#define ParamAPP_DO7_SWITCH_TYPE knx.paramBit(196, 7)
#define APP_DO7_EM_PULSES		0x00C8
#define APP_DO7_EM_PULSES_Shift	2
#define APP_DO7_EM_PULSES_Mask	0x3FFF
// Offset: 200, Size: 14 Bit, Text: DO7 energy meter pulses per kWh
#define ParamAPP_DO7_EM_PULSES ((uint)((knx.paramWord(200) >> APP_DO7_EM_PULSES_Shift) & APP_DO7_EM_PULSES_Mask))
#define APP_DO7_EM_CYCLIC		0x00C5
// Offset: 197, BitOffset: 7, Size: 1 Bit, Text: DO7 send cyclically or per kWh.
#define ParamAPP_DO7_EM_CYCLIC knx.paramBit(197, 7)
#define APP_DO7_CB_KWH		0x00CA
#define APP_DO7_CB_KWH_Shift	1
#define APP_DO7_CB_KWH_Mask	0x007F
// Offset: 202, Size: 7 Bit, Text: DO7 kWh count
#define ParamAPP_DO7_CB_KWH ((uint)((knx.paramByte(202) >> APP_DO7_CB_KWH_Shift) & APP_DO7_CB_KWH_Mask))
#define APP_DO7_CYCLIC_DELAY		0x00CB
// Offset: 203, Size: 16 Bit (2 Byte), Text: DO7 cycle delay
#define ParamAPP_DO7_CYCLIC_DELAY ((uint)((knx.paramWord(203))))
#define APP_DO7_INIT_STATE_OUT		0x00CA
// Offset: 202, BitOffset: 7, Size: 1 Bit, Text: DO7 init state
#define ParamAPP_DO7_INIT_STATE_OUT knx.paramBit(202, 7)
#define APP_DO7_INIT_STATE_PWM_OUT		0x00CD
// Offset: 205, Size: 8 Bit (1 Byte), Text: DO7 init state PWM
#define ParamAPP_DO7_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(205))))
#define APP_DO7_IN_DC_ENABLED		0x00CE
// Offset: 206, Size: 1 Bit, Text: DO7 enable alternative double click action
#define ParamAPP_DO7_IN_DC_ENABLED knx.paramBit(206, 0)
#define APP_DO7_IN_LP_ENABLED		0x00CE
// Offset: 206, BitOffset: 1, Size: 1 Bit, Text: DO7 enable alternative long press action
#define ParamAPP_DO7_IN_LP_ENABLED knx.paramBit(206, 1)
#define APP_DO8_MODE		0x00CE
#define APP_DO8_MODE_Shift	3
#define APP_DO8_MODE_Mask	0x0007
// Offset: 206, BitOffset: 2, Size: 3 Bit, Text: DO8 function
#define ParamAPP_DO8_MODE ((uint)((knx.paramByte(206) >> APP_DO8_MODE_Shift) & APP_DO8_MODE_Mask))
#define APP_DO8_DEBOUNCE		0x00CF
#define APP_DO8_DEBOUNCE_Shift	1
#define APP_DO8_DEBOUNCE_Mask	0x007F
// Offset: 207, Size: 7 Bit, Text: DO8 debounce
#define ParamAPP_DO8_DEBOUNCE ((uint)((knx.paramByte(207) >> APP_DO8_DEBOUNCE_Shift) & APP_DO8_DEBOUNCE_Mask))
#define APP_DO8_LP_DELAY		0x00D0
#define APP_DO8_LP_DELAY_Shift	4
#define APP_DO8_LP_DELAY_Mask	0x0FFF
// Offset: 208, Size: 12 Bit, Text: DO8 long press delay
#define ParamAPP_DO8_LP_DELAY ((uint)((knx.paramWord(208) >> APP_DO8_LP_DELAY_Shift) & APP_DO8_LP_DELAY_Mask))
#define APP_DO8_INIT_STATE		0x00CE
#define APP_DO8_INIT_STATE_Shift	1
#define APP_DO8_INIT_STATE_Mask	0x0003
// Offset: 206, BitOffset: 5, Size: 2 Bit, Text: DO8 init state
#define ParamAPP_DO8_INIT_STATE ((uint)((knx.paramByte(206) >> APP_DO8_INIT_STATE_Shift) & APP_DO8_INIT_STATE_Mask))
#define APP_DO8_SWITCH_TYPE		0x00CE
// Offset: 206, BitOffset: 7, Size: 1 Bit, Text: DO8 switch type
#define ParamAPP_DO8_SWITCH_TYPE knx.paramBit(206, 7)
#define APP_DO8_EM_PULSES		0x00D2
#define APP_DO8_EM_PULSES_Shift	2
#define APP_DO8_EM_PULSES_Mask	0x3FFF
// Offset: 210, Size: 14 Bit, Text: DO8 energy meter pulses per kWh
#define ParamAPP_DO8_EM_PULSES ((uint)((knx.paramWord(210) >> APP_DO8_EM_PULSES_Shift) & APP_DO8_EM_PULSES_Mask))
#define APP_DO8_EM_CYCLIC		0x00CF
// Offset: 207, BitOffset: 7, Size: 1 Bit, Text: DO8 send cyclically or per kWh.
#define ParamAPP_DO8_EM_CYCLIC knx.paramBit(207, 7)
#define APP_DO8_CB_KWH		0x00D4
#define APP_DO8_CB_KWH_Shift	1
#define APP_DO8_CB_KWH_Mask	0x007F
// Offset: 212, Size: 7 Bit, Text: DO8 kWh count
#define ParamAPP_DO8_CB_KWH ((uint)((knx.paramByte(212) >> APP_DO8_CB_KWH_Shift) & APP_DO8_CB_KWH_Mask))
#define APP_DO8_CYCLIC_DELAY		0x00D5
// Offset: 213, Size: 16 Bit (2 Byte), Text: DO8 cycle delay
#define ParamAPP_DO8_CYCLIC_DELAY ((uint)((knx.paramWord(213))))
#define APP_DO8_INIT_STATE_OUT		0x00D4
// Offset: 212, BitOffset: 7, Size: 1 Bit, Text: DO8 init state
#define ParamAPP_DO8_INIT_STATE_OUT knx.paramBit(212, 7)
#define APP_DO8_INIT_STATE_PWM_OUT		0x00D7
// Offset: 215, Size: 8 Bit (1 Byte), Text: DO8 init state PWM
#define ParamAPP_DO8_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(215))))
#define APP_DO8_IN_DC_ENABLED		0x00D8
// Offset: 216, Size: 1 Bit, Text: DO8 enable alternative double click action
#define ParamAPP_DO8_IN_DC_ENABLED knx.paramBit(216, 0)
#define APP_DO8_IN_LP_ENABLED		0x00D8
// Offset: 216, BitOffset: 1, Size: 1 Bit, Text: DO8 enable alternative long press action
#define ParamAPP_DO8_IN_LP_ENABLED knx.paramBit(216, 1)
#define APP_DOAUX_MODE		0x00D8
#define APP_DOAUX_MODE_Shift	3
#define APP_DOAUX_MODE_Mask	0x0007
// Offset: 216, BitOffset: 2, Size: 3 Bit, Text: DOAUX function
#define ParamAPP_DOAUX_MODE ((uint)((knx.paramByte(216) >> APP_DOAUX_MODE_Shift) & APP_DOAUX_MODE_Mask))
#define APP_DOAUX_DEBOUNCE		0x00D9
#define APP_DOAUX_DEBOUNCE_Shift	1
#define APP_DOAUX_DEBOUNCE_Mask	0x007F
// Offset: 217, Size: 7 Bit, Text: DOAUX debounce
#define ParamAPP_DOAUX_DEBOUNCE ((uint)((knx.paramByte(217) >> APP_DOAUX_DEBOUNCE_Shift) & APP_DOAUX_DEBOUNCE_Mask))
#define APP_DOAUX_LP_DELAY		0x00DA
#define APP_DOAUX_LP_DELAY_Shift	4
#define APP_DOAUX_LP_DELAY_Mask	0x0FFF
// Offset: 218, Size: 12 Bit, Text: DOAUX long press delay
#define ParamAPP_DOAUX_LP_DELAY ((uint)((knx.paramWord(218) >> APP_DOAUX_LP_DELAY_Shift) & APP_DOAUX_LP_DELAY_Mask))
#define APP_DOAUX_INIT_STATE		0x00D8
#define APP_DOAUX_INIT_STATE_Shift	1
#define APP_DOAUX_INIT_STATE_Mask	0x0003
// Offset: 216, BitOffset: 5, Size: 2 Bit, Text: DOAUX init state
#define ParamAPP_DOAUX_INIT_STATE ((uint)((knx.paramByte(216) >> APP_DOAUX_INIT_STATE_Shift) & APP_DOAUX_INIT_STATE_Mask))
#define APP_DOAUX_SWITCH_TYPE		0x00D8
// Offset: 216, BitOffset: 7, Size: 1 Bit, Text: DOAUX switch type
#define ParamAPP_DOAUX_SWITCH_TYPE knx.paramBit(216, 7)
#define APP_DOAUX_EM_PULSES		0x00DC
#define APP_DOAUX_EM_PULSES_Shift	2
#define APP_DOAUX_EM_PULSES_Mask	0x3FFF
// Offset: 220, Size: 14 Bit, Text: DOAUX energy meter pulses per kWh
#define ParamAPP_DOAUX_EM_PULSES ((uint)((knx.paramWord(220) >> APP_DOAUX_EM_PULSES_Shift) & APP_DOAUX_EM_PULSES_Mask))
#define APP_DOAUX_EM_CYCLIC		0x00D9
// Offset: 217, BitOffset: 7, Size: 1 Bit, Text: DOAUX send cyclically or per kWh.
#define ParamAPP_DOAUX_EM_CYCLIC knx.paramBit(217, 7)
#define APP_DOAUX_CB_KWH		0x00DE
#define APP_DOAUX_CB_KWH_Shift	1
#define APP_DOAUX_CB_KWH_Mask	0x007F
// Offset: 222, Size: 7 Bit, Text: DOAUX kWh count
#define ParamAPP_DOAUX_CB_KWH ((uint)((knx.paramByte(222) >> APP_DOAUX_CB_KWH_Shift) & APP_DOAUX_CB_KWH_Mask))
#define APP_DOAUX_CYCLIC_DELAY		0x00DF
// Offset: 223, Size: 16 Bit (2 Byte), Text: DOAUX cycle delay
#define ParamAPP_DOAUX_CYCLIC_DELAY ((uint)((knx.paramWord(223))))
#define APP_DOAUX_INIT_STATE_OUT		0x00DE
// Offset: 222, BitOffset: 7, Size: 1 Bit, Text: DOAUX init state
#define ParamAPP_DOAUX_INIT_STATE_OUT knx.paramBit(222, 7)
#define APP_DOAUX_INIT_STATE_PWM_OUT		0x00E1
// Offset: 225, Size: 8 Bit (1 Byte), Text: DOAUX init state PWM
#define ParamAPP_DOAUX_INIT_STATE_PWM_OUT ((uint)((knx.paramByte(225))))
#define APP_DOAUX_IN_DC_ENABLED		0x00E2
// Offset: 226, Size: 1 Bit, Text: DOAUX enable alternative double click action
#define ParamAPP_DOAUX_IN_DC_ENABLED knx.paramBit(226, 0)
#define APP_DOAUX_IN_LP_ENABLED		0x00E2
// Offset: 226, BitOffset: 1, Size: 1 Bit, Text: DOAUX enable alternative long press action
#define ParamAPP_DOAUX_IN_LP_ENABLED knx.paramBit(226, 1)
//!< Number: 0, Text: RGB, Function: RGB
#define APP_KoRGB 0
#define KoAPP_RGB knx.getGroupObject(0)
//!< Number: 1, Text: RGB_ON_OFF, Function: RGB_ON_OFF
#define APP_KoRGB_ON_OFF 1
#define KoAPP_RGB_ON_OFF knx.getGroupObject(1)
//!< Number: 2, Text: DI1_IN, Function: DI1_IN
#define APP_KoDI1_IN 2
#define KoAPP_DI1_IN knx.getGroupObject(2)
//!< Number: 3, Text: DI1_IN_DC, Function: DI1_IN_DC
#define APP_KoDI1_IN_DC 3
#define KoAPP_DI1_IN_DC knx.getGroupObject(3)
//!< Number: 4, Text: DI1_IN_LP, Function: DI1_IN_LP
#define APP_KoDI1_IN_LP 4
#define KoAPP_DI1_IN_LP knx.getGroupObject(4)
//!< Number: 5, Text: DI1_IN_EM, Function: DI1_IN_EM
#define APP_KoDI1_IN_EM 5
#define KoAPP_DI1_IN_EM knx.getGroupObject(5)
//!< Number: 6, Text: DI1_OUT, Function: DI1_OUT
#define APP_KoDI1_OUT 6
#define KoAPP_DI1_OUT knx.getGroupObject(6)
//!< Number: 7, Text: DI1_OUT_PWM, Function: DI1_OUT_PWM
#define APP_KoDI1_OUT_PWM 7
#define KoAPP_DI1_OUT_PWM knx.getGroupObject(7)
//!< Number: 8, Text: DI1_SCENE_A, Function: DI1_SCENE_A
#define APP_KoDI1_SCENE_A 8
#define KoAPP_DI1_SCENE_A knx.getGroupObject(8)
//!< Number: 9, Text: DI1_SCENE_B, Function: DI1_SCENE_B
#define APP_KoDI1_SCENE_B 9
#define KoAPP_DI1_SCENE_B knx.getGroupObject(9)
//!< Number: 10, Text: DI1_SCENE_C, Function: DI1_SCENE_C
#define APP_KoDI1_SCENE_C 10
#define KoAPP_DI1_SCENE_C knx.getGroupObject(10)
//!< Number: 11, Text: DI1_SCENE_D, Function: DI1_SCENE_D
#define APP_KoDI1_SCENE_D 11
#define KoAPP_DI1_SCENE_D knx.getGroupObject(11)
//!< Number: 12, Text: DI1_SCENE_A_8BIT, Function: DI1_SCENE_A_8BIT
#define APP_KoDI1_SCENE_A_8BIT 12
#define KoAPP_DI1_SCENE_A_8BIT knx.getGroupObject(12)
//!< Number: 13, Text: DI1_SCENE_B_8BIT, Function: DI1_SCENE_B_8BIT
#define APP_KoDI1_SCENE_B_8BIT 13
#define KoAPP_DI1_SCENE_B_8BIT knx.getGroupObject(13)
//!< Number: 14, Text: DI1_SCENE_C_8BIT, Function: DI1_SCENE_C_8BIT
#define APP_KoDI1_SCENE_C_8BIT 14
#define KoAPP_DI1_SCENE_C_8BIT knx.getGroupObject(14)
//!< Number: 15, Text: DI1_SCENE_D_8BIT, Function: DI1_SCENE_D_8BIT
#define APP_KoDI1_SCENE_D_8BIT 15
#define KoAPP_DI1_SCENE_D_8BIT knx.getGroupObject(15)
//!< Number: 16, Text: DI2_IN, Function: DI2_IN
#define APP_KoDI2_IN 16
#define KoAPP_DI2_IN knx.getGroupObject(16)
//!< Number: 17, Text: DI2_IN_DC, Function: DI2_IN_DC
#define APP_KoDI2_IN_DC 17
#define KoAPP_DI2_IN_DC knx.getGroupObject(17)
//!< Number: 18, Text: DI2_IN_LP, Function: DI2_IN_LP
#define APP_KoDI2_IN_LP 18
#define KoAPP_DI2_IN_LP knx.getGroupObject(18)
//!< Number: 19, Text: DI2_IN_EM, Function: DI2_IN_EM
#define APP_KoDI2_IN_EM 19
#define KoAPP_DI2_IN_EM knx.getGroupObject(19)
//!< Number: 20, Text: DI2_OUT, Function: DI2_OUT
#define APP_KoDI2_OUT 20
#define KoAPP_DI2_OUT knx.getGroupObject(20)
//!< Number: 21, Text: DI2_OUT_PWM, Function: DI2_OUT_PWM
#define APP_KoDI2_OUT_PWM 21
#define KoAPP_DI2_OUT_PWM knx.getGroupObject(21)
//!< Number: 22, Text: DI2_SCENE_A, Function: DI2_SCENE_A
#define APP_KoDI2_SCENE_A 22
#define KoAPP_DI2_SCENE_A knx.getGroupObject(22)
//!< Number: 23, Text: DI2_SCENE_B, Function: DI2_SCENE_B
#define APP_KoDI2_SCENE_B 23
#define KoAPP_DI2_SCENE_B knx.getGroupObject(23)
//!< Number: 24, Text: DI2_SCENE_C, Function: DI2_SCENE_C
#define APP_KoDI2_SCENE_C 24
#define KoAPP_DI2_SCENE_C knx.getGroupObject(24)
//!< Number: 25, Text: DI2_SCENE_D, Function: DI2_SCENE_D
#define APP_KoDI2_SCENE_D 25
#define KoAPP_DI2_SCENE_D knx.getGroupObject(25)
//!< Number: 26, Text: DI2_SCENE_A_8BIT, Function: DI2_SCENE_A_8BIT
#define APP_KoDI2_SCENE_A_8BIT 26
#define KoAPP_DI2_SCENE_A_8BIT knx.getGroupObject(26)
//!< Number: 27, Text: DI2_SCENE_B_8BIT, Function: DI2_SCENE_B_8BIT
#define APP_KoDI2_SCENE_B_8BIT 27
#define KoAPP_DI2_SCENE_B_8BIT knx.getGroupObject(27)
//!< Number: 28, Text: DI2_SCENE_C_8BIT, Function: DI2_SCENE_C_8BIT
#define APP_KoDI2_SCENE_C_8BIT 28
#define KoAPP_DI2_SCENE_C_8BIT knx.getGroupObject(28)
//!< Number: 29, Text: DI2_SCENE_D_8BIT, Function: DI2_SCENE_D_8BIT
#define APP_KoDI2_SCENE_D_8BIT 29
#define KoAPP_DI2_SCENE_D_8BIT knx.getGroupObject(29)
//!< Number: 30, Text: DI3_IN, Function: DI3_IN
#define APP_KoDI3_IN 30
#define KoAPP_DI3_IN knx.getGroupObject(30)
//!< Number: 31, Text: DI3_IN_DC, Function: DI3_IN_DC
#define APP_KoDI3_IN_DC 31
#define KoAPP_DI3_IN_DC knx.getGroupObject(31)
//!< Number: 32, Text: DI3_IN_LP, Function: DI3_IN_LP
#define APP_KoDI3_IN_LP 32
#define KoAPP_DI3_IN_LP knx.getGroupObject(32)
//!< Number: 33, Text: DI3_IN_EM, Function: DI3_IN_EM
#define APP_KoDI3_IN_EM 33
#define KoAPP_DI3_IN_EM knx.getGroupObject(33)
//!< Number: 34, Text: DI3_OUT, Function: DI3_OUT
#define APP_KoDI3_OUT 34
#define KoAPP_DI3_OUT knx.getGroupObject(34)
//!< Number: 35, Text: DI3_OUT_PWM, Function: DI3_OUT_PWM
#define APP_KoDI3_OUT_PWM 35
#define KoAPP_DI3_OUT_PWM knx.getGroupObject(35)
//!< Number: 36, Text: DI3_SCENE_A, Function: DI3_SCENE_A
#define APP_KoDI3_SCENE_A 36
#define KoAPP_DI3_SCENE_A knx.getGroupObject(36)
//!< Number: 37, Text: DI3_SCENE_B, Function: DI3_SCENE_B
#define APP_KoDI3_SCENE_B 37
#define KoAPP_DI3_SCENE_B knx.getGroupObject(37)
//!< Number: 38, Text: DI3_SCENE_C, Function: DI3_SCENE_C
#define APP_KoDI3_SCENE_C 38
#define KoAPP_DI3_SCENE_C knx.getGroupObject(38)
//!< Number: 39, Text: DI3_SCENE_D, Function: DI3_SCENE_D
#define APP_KoDI3_SCENE_D 39
#define KoAPP_DI3_SCENE_D knx.getGroupObject(39)
//!< Number: 40, Text: DI3_SCENE_A_8BIT, Function: DI3_SCENE_A_8BIT
#define APP_KoDI3_SCENE_A_8BIT 40
#define KoAPP_DI3_SCENE_A_8BIT knx.getGroupObject(40)
//!< Number: 41, Text: DI3_SCENE_B_8BIT, Function: DI3_SCENE_B_8BIT
#define APP_KoDI3_SCENE_B_8BIT 41
#define KoAPP_DI3_SCENE_B_8BIT knx.getGroupObject(41)
//!< Number: 42, Text: DI3_SCENE_C_8BIT, Function: DI3_SCENE_C_8BIT
#define APP_KoDI3_SCENE_C_8BIT 42
#define KoAPP_DI3_SCENE_C_8BIT knx.getGroupObject(42)
//!< Number: 43, Text: DI3_SCENE_D_8BIT, Function: DI3_SCENE_D_8BIT
#define APP_KoDI3_SCENE_D_8BIT 43
#define KoAPP_DI3_SCENE_D_8BIT knx.getGroupObject(43)
//!< Number: 44, Text: DI4_IN, Function: DI4_IN
#define APP_KoDI4_IN 44
#define KoAPP_DI4_IN knx.getGroupObject(44)
//!< Number: 45, Text: DI4_IN_DC, Function: DI4_IN_DC
#define APP_KoDI4_IN_DC 45
#define KoAPP_DI4_IN_DC knx.getGroupObject(45)
//!< Number: 46, Text: DI4_IN_LP, Function: DI4_IN_LP
#define APP_KoDI4_IN_LP 46
#define KoAPP_DI4_IN_LP knx.getGroupObject(46)
//!< Number: 47, Text: DI4_IN_EM, Function: DI4_IN_EM
#define APP_KoDI4_IN_EM 47
#define KoAPP_DI4_IN_EM knx.getGroupObject(47)
//!< Number: 48, Text: DI4_OUT, Function: DI4_OUT
#define APP_KoDI4_OUT 48
#define KoAPP_DI4_OUT knx.getGroupObject(48)
//!< Number: 49, Text: DI4_OUT_PWM, Function: DI4_OUT_PWM
#define APP_KoDI4_OUT_PWM 49
#define KoAPP_DI4_OUT_PWM knx.getGroupObject(49)
//!< Number: 50, Text: DI4_SCENE_A, Function: DI4_SCENE_A
#define APP_KoDI4_SCENE_A 50
#define KoAPP_DI4_SCENE_A knx.getGroupObject(50)
//!< Number: 51, Text: DI4_SCENE_B, Function: DI4_SCENE_B
#define APP_KoDI4_SCENE_B 51
#define KoAPP_DI4_SCENE_B knx.getGroupObject(51)
//!< Number: 52, Text: DI4_SCENE_C, Function: DI4_SCENE_C
#define APP_KoDI4_SCENE_C 52
#define KoAPP_DI4_SCENE_C knx.getGroupObject(52)
//!< Number: 53, Text: DI4_SCENE_D, Function: DI4_SCENE_D
#define APP_KoDI4_SCENE_D 53
#define KoAPP_DI4_SCENE_D knx.getGroupObject(53)
//!< Number: 54, Text: DI4_SCENE_A_8BIT, Function: DI4_SCENE_A_8BIT
#define APP_KoDI4_SCENE_A_8BIT 54
#define KoAPP_DI4_SCENE_A_8BIT knx.getGroupObject(54)
//!< Number: 55, Text: DI4_SCENE_B_8BIT, Function: DI4_SCENE_B_8BIT
#define APP_KoDI4_SCENE_B_8BIT 55
#define KoAPP_DI4_SCENE_B_8BIT knx.getGroupObject(55)
//!< Number: 56, Text: DI4_SCENE_C_8BIT, Function: DI4_SCENE_C_8BIT
#define APP_KoDI4_SCENE_C_8BIT 56
#define KoAPP_DI4_SCENE_C_8BIT knx.getGroupObject(56)
//!< Number: 57, Text: DI4_SCENE_D_8BIT, Function: DI4_SCENE_D_8BIT
#define APP_KoDI4_SCENE_D_8BIT 57
#define KoAPP_DI4_SCENE_D_8BIT knx.getGroupObject(57)
//!< Number: 58, Text: DI5_IN, Function: DI5_IN
#define APP_KoDI5_IN 58
#define KoAPP_DI5_IN knx.getGroupObject(58)
//!< Number: 59, Text: DI5_IN_DC, Function: DI5_IN_DC
#define APP_KoDI5_IN_DC 59
#define KoAPP_DI5_IN_DC knx.getGroupObject(59)
//!< Number: 60, Text: DI5_IN_LP, Function: DI5_IN_LP
#define APP_KoDI5_IN_LP 60
#define KoAPP_DI5_IN_LP knx.getGroupObject(60)
//!< Number: 61, Text: DI5_IN_EM, Function: DI5_IN_EM
#define APP_KoDI5_IN_EM 61
#define KoAPP_DI5_IN_EM knx.getGroupObject(61)
//!< Number: 62, Text: DI5_OUT, Function: DI5_OUT
#define APP_KoDI5_OUT 62
#define KoAPP_DI5_OUT knx.getGroupObject(62)
//!< Number: 63, Text: DI5_OUT_PWM, Function: DI5_OUT_PWM
#define APP_KoDI5_OUT_PWM 63
#define KoAPP_DI5_OUT_PWM knx.getGroupObject(63)
//!< Number: 64, Text: DI5_SCENE_A, Function: DI5_SCENE_A
#define APP_KoDI5_SCENE_A 64
#define KoAPP_DI5_SCENE_A knx.getGroupObject(64)
//!< Number: 65, Text: DI5_SCENE_B, Function: DI5_SCENE_B
#define APP_KoDI5_SCENE_B 65
#define KoAPP_DI5_SCENE_B knx.getGroupObject(65)
//!< Number: 66, Text: DI5_SCENE_C, Function: DI5_SCENE_C
#define APP_KoDI5_SCENE_C 66
#define KoAPP_DI5_SCENE_C knx.getGroupObject(66)
//!< Number: 67, Text: DI5_SCENE_D, Function: DI5_SCENE_D
#define APP_KoDI5_SCENE_D 67
#define KoAPP_DI5_SCENE_D knx.getGroupObject(67)
//!< Number: 68, Text: DI5_SCENE_A_8BIT, Function: DI5_SCENE_A_8BIT
#define APP_KoDI5_SCENE_A_8BIT 68
#define KoAPP_DI5_SCENE_A_8BIT knx.getGroupObject(68)
//!< Number: 69, Text: DI5_SCENE_B_8BIT, Function: DI5_SCENE_B_8BIT
#define APP_KoDI5_SCENE_B_8BIT 69
#define KoAPP_DI5_SCENE_B_8BIT knx.getGroupObject(69)
//!< Number: 70, Text: DI5_SCENE_C_8BIT, Function: DI5_SCENE_C_8BIT
#define APP_KoDI5_SCENE_C_8BIT 70
#define KoAPP_DI5_SCENE_C_8BIT knx.getGroupObject(70)
//!< Number: 71, Text: DI5_SCENE_D_8BIT, Function: DI5_SCENE_D_8BIT
#define APP_KoDI5_SCENE_D_8BIT 71
#define KoAPP_DI5_SCENE_D_8BIT knx.getGroupObject(71)
//!< Number: 72, Text: DI6_IN, Function: DI6_IN
#define APP_KoDI6_IN 72
#define KoAPP_DI6_IN knx.getGroupObject(72)
//!< Number: 73, Text: DI6_IN_DC, Function: DI6_IN_DC
#define APP_KoDI6_IN_DC 73
#define KoAPP_DI6_IN_DC knx.getGroupObject(73)
//!< Number: 74, Text: DI6_IN_LP, Function: DI6_IN_LP
#define APP_KoDI6_IN_LP 74
#define KoAPP_DI6_IN_LP knx.getGroupObject(74)
//!< Number: 75, Text: DI6_IN_EM, Function: DI6_IN_EM
#define APP_KoDI6_IN_EM 75
#define KoAPP_DI6_IN_EM knx.getGroupObject(75)
//!< Number: 76, Text: DI6_OUT, Function: DI6_OUT
#define APP_KoDI6_OUT 76
#define KoAPP_DI6_OUT knx.getGroupObject(76)
//!< Number: 77, Text: DI6_OUT_PWM, Function: DI6_OUT_PWM
#define APP_KoDI6_OUT_PWM 77
#define KoAPP_DI6_OUT_PWM knx.getGroupObject(77)
//!< Number: 78, Text: DI6_SCENE_A, Function: DI6_SCENE_A
#define APP_KoDI6_SCENE_A 78
#define KoAPP_DI6_SCENE_A knx.getGroupObject(78)
//!< Number: 79, Text: DI6_SCENE_B, Function: DI6_SCENE_B
#define APP_KoDI6_SCENE_B 79
#define KoAPP_DI6_SCENE_B knx.getGroupObject(79)
//!< Number: 80, Text: DI6_SCENE_C, Function: DI6_SCENE_C
#define APP_KoDI6_SCENE_C 80
#define KoAPP_DI6_SCENE_C knx.getGroupObject(80)
//!< Number: 81, Text: DI6_SCENE_D, Function: DI6_SCENE_D
#define APP_KoDI6_SCENE_D 81
#define KoAPP_DI6_SCENE_D knx.getGroupObject(81)
//!< Number: 82, Text: DI6_SCENE_A_8BIT, Function: DI6_SCENE_A_8BIT
#define APP_KoDI6_SCENE_A_8BIT 82
#define KoAPP_DI6_SCENE_A_8BIT knx.getGroupObject(82)
//!< Number: 83, Text: DI6_SCENE_B_8BIT, Function: DI6_SCENE_B_8BIT
#define APP_KoDI6_SCENE_B_8BIT 83
#define KoAPP_DI6_SCENE_B_8BIT knx.getGroupObject(83)
//!< Number: 84, Text: DI6_SCENE_C_8BIT, Function: DI6_SCENE_C_8BIT
#define APP_KoDI6_SCENE_C_8BIT 84
#define KoAPP_DI6_SCENE_C_8BIT knx.getGroupObject(84)
//!< Number: 85, Text: DI6_SCENE_D_8BIT, Function: DI6_SCENE_D_8BIT
#define APP_KoDI6_SCENE_D_8BIT 85
#define KoAPP_DI6_SCENE_D_8BIT knx.getGroupObject(85)
//!< Number: 86, Text: DI7_IN, Function: DI7_IN
#define APP_KoDI7_IN 86
#define KoAPP_DI7_IN knx.getGroupObject(86)
//!< Number: 87, Text: DI7_IN_DC, Function: DI7_IN_DC
#define APP_KoDI7_IN_DC 87
#define KoAPP_DI7_IN_DC knx.getGroupObject(87)
//!< Number: 88, Text: DI7_IN_LP, Function: DI7_IN_LP
#define APP_KoDI7_IN_LP 88
#define KoAPP_DI7_IN_LP knx.getGroupObject(88)
//!< Number: 89, Text: DI7_IN_EM, Function: DI7_IN_EM
#define APP_KoDI7_IN_EM 89
#define KoAPP_DI7_IN_EM knx.getGroupObject(89)
//!< Number: 90, Text: DI7_OUT, Function: DI7_OUT
#define APP_KoDI7_OUT 90
#define KoAPP_DI7_OUT knx.getGroupObject(90)
//!< Number: 91, Text: DI7_OUT_PWM, Function: DI7_OUT_PWM
#define APP_KoDI7_OUT_PWM 91
#define KoAPP_DI7_OUT_PWM knx.getGroupObject(91)
//!< Number: 92, Text: DI7_SCENE_A, Function: DI7_SCENE_A
#define APP_KoDI7_SCENE_A 92
#define KoAPP_DI7_SCENE_A knx.getGroupObject(92)
//!< Number: 93, Text: DI7_SCENE_B, Function: DI7_SCENE_B
#define APP_KoDI7_SCENE_B 93
#define KoAPP_DI7_SCENE_B knx.getGroupObject(93)
//!< Number: 94, Text: DI7_SCENE_C, Function: DI7_SCENE_C
#define APP_KoDI7_SCENE_C 94
#define KoAPP_DI7_SCENE_C knx.getGroupObject(94)
//!< Number: 95, Text: DI7_SCENE_D, Function: DI7_SCENE_D
#define APP_KoDI7_SCENE_D 95
#define KoAPP_DI7_SCENE_D knx.getGroupObject(95)
//!< Number: 96, Text: DI7_SCENE_A_8BIT, Function: DI7_SCENE_A_8BIT
#define APP_KoDI7_SCENE_A_8BIT 96
#define KoAPP_DI7_SCENE_A_8BIT knx.getGroupObject(96)
//!< Number: 97, Text: DI7_SCENE_B_8BIT, Function: DI7_SCENE_B_8BIT
#define APP_KoDI7_SCENE_B_8BIT 97
#define KoAPP_DI7_SCENE_B_8BIT knx.getGroupObject(97)
//!< Number: 98, Text: DI7_SCENE_C_8BIT, Function: DI7_SCENE_C_8BIT
#define APP_KoDI7_SCENE_C_8BIT 98
#define KoAPP_DI7_SCENE_C_8BIT knx.getGroupObject(98)
//!< Number: 99, Text: DI7_SCENE_D_8BIT, Function: DI7_SCENE_D_8BIT
#define APP_KoDI7_SCENE_D_8BIT 99
#define KoAPP_DI7_SCENE_D_8BIT knx.getGroupObject(99)
//!< Number: 100, Text: DI8_IN, Function: DI8_IN
#define APP_KoDI8_IN 100
#define KoAPP_DI8_IN knx.getGroupObject(100)
//!< Number: 101, Text: DI8_IN_DC, Function: DI8_IN_DC
#define APP_KoDI8_IN_DC 101
#define KoAPP_DI8_IN_DC knx.getGroupObject(101)
//!< Number: 102, Text: DI8_IN_LP, Function: DI8_IN_LP
#define APP_KoDI8_IN_LP 102
#define KoAPP_DI8_IN_LP knx.getGroupObject(102)
//!< Number: 103, Text: DI8_IN_EM, Function: DI8_IN_EM
#define APP_KoDI8_IN_EM 103
#define KoAPP_DI8_IN_EM knx.getGroupObject(103)
//!< Number: 104, Text: DI8_OUT, Function: DI8_OUT
#define APP_KoDI8_OUT 104
#define KoAPP_DI8_OUT knx.getGroupObject(104)
//!< Number: 105, Text: DI8_OUT_PWM, Function: DI8_OUT_PWM
#define APP_KoDI8_OUT_PWM 105
#define KoAPP_DI8_OUT_PWM knx.getGroupObject(105)
//!< Number: 106, Text: DI8_SCENE_A, Function: DI8_SCENE_A
#define APP_KoDI8_SCENE_A 106
#define KoAPP_DI8_SCENE_A knx.getGroupObject(106)
//!< Number: 107, Text: DI8_SCENE_B, Function: DI8_SCENE_B
#define APP_KoDI8_SCENE_B 107
#define KoAPP_DI8_SCENE_B knx.getGroupObject(107)
//!< Number: 108, Text: DI8_SCENE_C, Function: DI8_SCENE_C
#define APP_KoDI8_SCENE_C 108
#define KoAPP_DI8_SCENE_C knx.getGroupObject(108)
//!< Number: 109, Text: DI8_SCENE_D, Function: DI8_SCENE_D
#define APP_KoDI8_SCENE_D 109
#define KoAPP_DI8_SCENE_D knx.getGroupObject(109)
//!< Number: 110, Text: DI8_SCENE_A_8BIT, Function: DI8_SCENE_A_8BIT
#define APP_KoDI8_SCENE_A_8BIT 110
#define KoAPP_DI8_SCENE_A_8BIT knx.getGroupObject(110)
//!< Number: 111, Text: DI8_SCENE_B_8BIT, Function: DI8_SCENE_B_8BIT
#define APP_KoDI8_SCENE_B_8BIT 111
#define KoAPP_DI8_SCENE_B_8BIT knx.getGroupObject(111)
//!< Number: 112, Text: DI8_SCENE_C_8BIT, Function: DI8_SCENE_C_8BIT
#define APP_KoDI8_SCENE_C_8BIT 112
#define KoAPP_DI8_SCENE_C_8BIT knx.getGroupObject(112)
//!< Number: 113, Text: DI8_SCENE_D_8BIT, Function: DI8_SCENE_D_8BIT
#define APP_KoDI8_SCENE_D_8BIT 113
#define KoAPP_DI8_SCENE_D_8BIT knx.getGroupObject(113)
//!< Number: 114, Text: DIAUX_IN, Function: DIAUX_IN
#define APP_KoDIAUX_IN 114
#define KoAPP_DIAUX_IN knx.getGroupObject(114)
//!< Number: 115, Text: DIAUX_IN_DC, Function: DIAUX_IN_DC
#define APP_KoDIAUX_IN_DC 115
#define KoAPP_DIAUX_IN_DC knx.getGroupObject(115)
//!< Number: 116, Text: DIAUX_IN_LP, Function: DIAUX_IN_LP
#define APP_KoDIAUX_IN_LP 116
#define KoAPP_DIAUX_IN_LP knx.getGroupObject(116)
//!< Number: 117, Text: DIAUX_IN_EM, Function: DIAUX_IN_EM
#define APP_KoDIAUX_IN_EM 117
#define KoAPP_DIAUX_IN_EM knx.getGroupObject(117)
//!< Number: 118, Text: DIAUX_OUT, Function: DIAUX_OUT
#define APP_KoDIAUX_OUT 118
#define KoAPP_DIAUX_OUT knx.getGroupObject(118)
//!< Number: 119, Text: DIAUX_OUT_PWM, Function: DIAUX_OUT_PWM
#define APP_KoDIAUX_OUT_PWM 119
#define KoAPP_DIAUX_OUT_PWM knx.getGroupObject(119)
//!< Number: 120, Text: DIAUX_SCENE_A, Function: DIAUX_SCENE_A
#define APP_KoDIAUX_SCENE_A 120
#define KoAPP_DIAUX_SCENE_A knx.getGroupObject(120)
//!< Number: 121, Text: DIAUX_SCENE_B, Function: DIAUX_SCENE_B
#define APP_KoDIAUX_SCENE_B 121
#define KoAPP_DIAUX_SCENE_B knx.getGroupObject(121)
//!< Number: 122, Text: DIAUX_SCENE_C, Function: DIAUX_SCENE_C
#define APP_KoDIAUX_SCENE_C 122
#define KoAPP_DIAUX_SCENE_C knx.getGroupObject(122)
//!< Number: 123, Text: DIAUX_SCENE_D, Function: DIAUX_SCENE_D
#define APP_KoDIAUX_SCENE_D 123
#define KoAPP_DIAUX_SCENE_D knx.getGroupObject(123)
//!< Number: 124, Text: DIAUX_SCENE_A_8BIT, Function: DIAUX_SCENE_A_8BIT
#define APP_KoDIAUX_SCENE_A_8BIT 124
#define KoAPP_DIAUX_SCENE_A_8BIT knx.getGroupObject(124)
//!< Number: 125, Text: DIAUX_SCENE_B_8BIT, Function: DIAUX_SCENE_B_8BIT
#define APP_KoDIAUX_SCENE_B_8BIT 125
#define KoAPP_DIAUX_SCENE_B_8BIT knx.getGroupObject(125)
//!< Number: 126, Text: DIAUX_SCENE_C_8BIT, Function: DIAUX_SCENE_C_8BIT
#define APP_KoDIAUX_SCENE_C_8BIT 126
#define KoAPP_DIAUX_SCENE_C_8BIT knx.getGroupObject(126)
//!< Number: 127, Text: DIAUX_SCENE_D_8BIT, Function: DIAUX_SCENE_D_8BIT
#define APP_KoDIAUX_SCENE_D_8BIT 127
#define KoAPP_DIAUX_SCENE_D_8BIT knx.getGroupObject(127)
//!< Number: 128, Text: DO1_IN, Function: DO1_IN
#define APP_KoDO1_IN 128
#define KoAPP_DO1_IN knx.getGroupObject(128)
//!< Number: 129, Text: DO1_IN_DC, Function: DO1_IN_DC
#define APP_KoDO1_IN_DC 129
#define KoAPP_DO1_IN_DC knx.getGroupObject(129)
//!< Number: 130, Text: DO1_IN_LP, Function: DO1_IN_LP
#define APP_KoDO1_IN_LP 130
#define KoAPP_DO1_IN_LP knx.getGroupObject(130)
//!< Number: 131, Text: DO1_IN_EM, Function: DO1_IN_EM
#define APP_KoDO1_IN_EM 131
#define KoAPP_DO1_IN_EM knx.getGroupObject(131)
//!< Number: 132, Text: DO1_OUT, Function: DO1_OUT
#define APP_KoDO1_OUT 132
#define KoAPP_DO1_OUT knx.getGroupObject(132)
//!< Number: 133, Text: DO1_OUT_PWM, Function: DO1_OUT_PWM
#define APP_KoDO1_OUT_PWM 133
#define KoAPP_DO1_OUT_PWM knx.getGroupObject(133)
//!< Number: 134, Text: DO2_IN, Function: DO2_IN
#define APP_KoDO2_IN 134
#define KoAPP_DO2_IN knx.getGroupObject(134)
//!< Number: 135, Text: DO2_IN_DC, Function: DO2_IN_DC
#define APP_KoDO2_IN_DC 135
#define KoAPP_DO2_IN_DC knx.getGroupObject(135)
//!< Number: 136, Text: DO2_IN_LP, Function: DO2_IN_LP
#define APP_KoDO2_IN_LP 136
#define KoAPP_DO2_IN_LP knx.getGroupObject(136)
//!< Number: 137, Text: DO2_IN_EM, Function: DO2_IN_EM
#define APP_KoDO2_IN_EM 137
#define KoAPP_DO2_IN_EM knx.getGroupObject(137)
//!< Number: 138, Text: DO2_OUT, Function: DO2_OUT
#define APP_KoDO2_OUT 138
#define KoAPP_DO2_OUT knx.getGroupObject(138)
//!< Number: 139, Text: DO2_OUT_PWM, Function: DO2_OUT_PWM
#define APP_KoDO2_OUT_PWM 139
#define KoAPP_DO2_OUT_PWM knx.getGroupObject(139)
//!< Number: 140, Text: DO3_IN, Function: DO3_IN
#define APP_KoDO3_IN 140
#define KoAPP_DO3_IN knx.getGroupObject(140)
//!< Number: 141, Text: DO3_IN_DC, Function: DO3_IN_DC
#define APP_KoDO3_IN_DC 141
#define KoAPP_DO3_IN_DC knx.getGroupObject(141)
//!< Number: 142, Text: DO3_IN_LP, Function: DO3_IN_LP
#define APP_KoDO3_IN_LP 142
#define KoAPP_DO3_IN_LP knx.getGroupObject(142)
//!< Number: 143, Text: DO3_IN_EM, Function: DO3_IN_EM
#define APP_KoDO3_IN_EM 143
#define KoAPP_DO3_IN_EM knx.getGroupObject(143)
//!< Number: 144, Text: DO3_OUT, Function: DO3_OUT
#define APP_KoDO3_OUT 144
#define KoAPP_DO3_OUT knx.getGroupObject(144)
//!< Number: 145, Text: DO3_OUT_PWM, Function: DO3_OUT_PWM
#define APP_KoDO3_OUT_PWM 145
#define KoAPP_DO3_OUT_PWM knx.getGroupObject(145)
//!< Number: 146, Text: DO4_IN, Function: DO4_IN
#define APP_KoDO4_IN 146
#define KoAPP_DO4_IN knx.getGroupObject(146)
//!< Number: 147, Text: DO4_IN_DC, Function: DO4_IN_DC
#define APP_KoDO4_IN_DC 147
#define KoAPP_DO4_IN_DC knx.getGroupObject(147)
//!< Number: 148, Text: DO4_IN_LP, Function: DO4_IN_LP
#define APP_KoDO4_IN_LP 148
#define KoAPP_DO4_IN_LP knx.getGroupObject(148)
//!< Number: 149, Text: DO4_IN_EM, Function: DO4_IN_EM
#define APP_KoDO4_IN_EM 149
#define KoAPP_DO4_IN_EM knx.getGroupObject(149)
//!< Number: 150, Text: DO4_OUT, Function: DO4_OUT
#define APP_KoDO4_OUT 150
#define KoAPP_DO4_OUT knx.getGroupObject(150)
//!< Number: 151, Text: DO4_OUT_PWM, Function: DO4_OUT_PWM
#define APP_KoDO4_OUT_PWM 151
#define KoAPP_DO4_OUT_PWM knx.getGroupObject(151)
//!< Number: 152, Text: DO5_IN, Function: DO5_IN
#define APP_KoDO5_IN 152
#define KoAPP_DO5_IN knx.getGroupObject(152)
//!< Number: 153, Text: DO5_IN_DC, Function: DO5_IN_DC
#define APP_KoDO5_IN_DC 153
#define KoAPP_DO5_IN_DC knx.getGroupObject(153)
//!< Number: 154, Text: DO5_IN_LP, Function: DO5_IN_LP
#define APP_KoDO5_IN_LP 154
#define KoAPP_DO5_IN_LP knx.getGroupObject(154)
//!< Number: 155, Text: DO5_IN_EM, Function: DO5_IN_EM
#define APP_KoDO5_IN_EM 155
#define KoAPP_DO5_IN_EM knx.getGroupObject(155)
//!< Number: 156, Text: DO5_OUT, Function: DO5_OUT
#define APP_KoDO5_OUT 156
#define KoAPP_DO5_OUT knx.getGroupObject(156)
//!< Number: 157, Text: DO5_OUT_PWM, Function: DO5_OUT_PWM
#define APP_KoDO5_OUT_PWM 157
#define KoAPP_DO5_OUT_PWM knx.getGroupObject(157)
//!< Number: 158, Text: DO6_IN, Function: DO6_IN
#define APP_KoDO6_IN 158
#define KoAPP_DO6_IN knx.getGroupObject(158)
//!< Number: 159, Text: DO6_IN_DC, Function: DO6_IN_DC
#define APP_KoDO6_IN_DC 159
#define KoAPP_DO6_IN_DC knx.getGroupObject(159)
//!< Number: 160, Text: DO6_IN_LP, Function: DO6_IN_LP
#define APP_KoDO6_IN_LP 160
#define KoAPP_DO6_IN_LP knx.getGroupObject(160)
//!< Number: 161, Text: DO6_IN_EM, Function: DO6_IN_EM
#define APP_KoDO6_IN_EM 161
#define KoAPP_DO6_IN_EM knx.getGroupObject(161)
//!< Number: 162, Text: DO6_OUT, Function: DO6_OUT
#define APP_KoDO6_OUT 162
#define KoAPP_DO6_OUT knx.getGroupObject(162)
//!< Number: 163, Text: DO6_OUT_PWM, Function: DO6_OUT_PWM
#define APP_KoDO6_OUT_PWM 163
#define KoAPP_DO6_OUT_PWM knx.getGroupObject(163)
//!< Number: 164, Text: DO7_IN, Function: DO7_IN
#define APP_KoDO7_IN 164
#define KoAPP_DO7_IN knx.getGroupObject(164)
//!< Number: 165, Text: DO7_IN_DC, Function: DO7_IN_DC
#define APP_KoDO7_IN_DC 165
#define KoAPP_DO7_IN_DC knx.getGroupObject(165)
//!< Number: 166, Text: DO7_IN_LP, Function: DO7_IN_LP
#define APP_KoDO7_IN_LP 166
#define KoAPP_DO7_IN_LP knx.getGroupObject(166)
//!< Number: 167, Text: DO7_IN_EM, Function: DO7_IN_EM
#define APP_KoDO7_IN_EM 167
#define KoAPP_DO7_IN_EM knx.getGroupObject(167)
//!< Number: 168, Text: DO7_OUT, Function: DO7_OUT
#define APP_KoDO7_OUT 168
#define KoAPP_DO7_OUT knx.getGroupObject(168)
//!< Number: 169, Text: DO7_OUT_PWM, Function: DO7_OUT_PWM
#define APP_KoDO7_OUT_PWM 169
#define KoAPP_DO7_OUT_PWM knx.getGroupObject(169)
//!< Number: 170, Text: DO8_IN, Function: DO8_IN
#define APP_KoDO8_IN 170
#define KoAPP_DO8_IN knx.getGroupObject(170)
//!< Number: 171, Text: DO8_IN_DC, Function: DO8_IN_DC
#define APP_KoDO8_IN_DC 171
#define KoAPP_DO8_IN_DC knx.getGroupObject(171)
//!< Number: 172, Text: DO8_IN_LP, Function: DO8_IN_LP
#define APP_KoDO8_IN_LP 172
#define KoAPP_DO8_IN_LP knx.getGroupObject(172)
//!< Number: 173, Text: DO8_IN_EM, Function: DO8_IN_EM
#define APP_KoDO8_IN_EM 173
#define KoAPP_DO8_IN_EM knx.getGroupObject(173)
//!< Number: 174, Text: DO8_OUT, Function: DO8_OUT
#define APP_KoDO8_OUT 174
#define KoAPP_DO8_OUT knx.getGroupObject(174)
//!< Number: 175, Text: DO8_OUT_PWM, Function: DO8_OUT_PWM
#define APP_KoDO8_OUT_PWM 175
#define KoAPP_DO8_OUT_PWM knx.getGroupObject(175)
//!< Number: 176, Text: DOAUX_IN, Function: DOAUX_IN
#define APP_KoDOAUX_IN 176
#define KoAPP_DOAUX_IN knx.getGroupObject(176)
//!< Number: 177, Text: DOAUX_IN_DC, Function: DOAUX_IN_DC
#define APP_KoDOAUX_IN_DC 177
#define KoAPP_DOAUX_IN_DC knx.getGroupObject(177)
//!< Number: 178, Text: DOAUX_IN_LP, Function: DOAUX_IN_LP
#define APP_KoDOAUX_IN_LP 178
#define KoAPP_DOAUX_IN_LP knx.getGroupObject(178)
//!< Number: 179, Text: DOAUX_IN_EM, Function: DOAUX_IN_EM
#define APP_KoDOAUX_IN_EM 179
#define KoAPP_DOAUX_IN_EM knx.getGroupObject(179)
//!< Number: 180, Text: DOAUX_OUT, Function: DOAUX_OUT
#define APP_KoDOAUX_OUT 180
#define KoAPP_DOAUX_OUT knx.getGroupObject(180)
//!< Number: 181, Text: DOAUX_OUT_PWM, Function: DOAUX_OUT_PWM
#define APP_KoDOAUX_OUT_PWM 181
#define KoAPP_DOAUX_OUT_PWM knx.getGroupObject(181)

