from models.base_model import *
from models.translation import Translation


class DynBlock(DynamicsWithItemsBase):
    type: Optional[str] = type_field('Kaenx.Creator.Models.Dynamic.DynParaBlock, Kaenx.Creator')

    is_expanded: Optional[bool] = Field(alias='IsExpanded', default=False)
    text: Optional[List[Translation]] = Field(alias='Text', default=Translation.from_string(str()))
    name: Optional[str] = Field(alias='Name', default_factory=str)
    id: Optional[int] = Field(alias='Id', default=-1)
    access: Optional[int] = Field(alias='Access', default=2)
    show_in_com_object_tree: Optional[bool] = Field(alias='ShowInComObjectTree', default=False)
    is_inline: Optional[bool] = Field(alias='IsInline', default=False)
    layout: Optional[int] = Field(alias='Layout', default=0)
    use_icon: Optional[bool] = Field(alias='UseIcon', default=False)
    rows: Optional[List] = Field(alias='Rows', default=[])
    columns: Optional[List] = Field(alias='Columns', default=[])
    use_parameter_ref: Optional[bool] = Field(alias='UseParameterRef', default=False)
    use_text_parameter: Optional[bool] = Field(alias='UseTextParameter', default=False)
    translation_text: Optional[bool] = Field(alias='TranslationText', default=False)
    parameter_ref: Optional[int] = Field(alias='ParameterRef', default=-1)
    text_ref: Optional[int] = Field(alias='TextRef', default=-1)
    icon_id: Optional[int] = Field(alias='IconId', default=-1)

    @classmethod
    def from_args(cls, name: str, text: Optional[str] = None) -> 'DynBlock':
        return cls.model_validate({
            'Name': name,
            'Text': Translation.from_string(text or name)
        })

    def with_text(self, s: str) -> 'DynBlock':
        self.text = Translation.from_string(s)
        return self
