from models.base_model import *
from models.translation import Translation


class DynChannel(DynamicsWithItemsBase):
    type: Optional[str] = type_field('Kaenx.Creator.Models.Dynamic.DynChannel, Kaenx.Creator')

    name: str = Field(alias='Name')
    number: int = Field(alias='Number')

    parameter_ref: Optional[int] = Field(alias='ParameterRef', default=-1)
    is_expanded: Optional[bool] = Field(alias='IsExpanded', default=False)
    use_icon: Optional[bool] = Field(alias='UseIcon', default=False)
    use_text_parameter: Optional[bool] = Field(alias='UseTextParameter', default=False)
    translation_text: Optional[bool] = Field(alias='TranslationText', default=False)
    text: Optional[List[Translation]] = Field(alias='Text', default=Translation.from_string(str()))
    icon_id: Optional[int] = Field(alias='IconId', default=-1)
    access: Optional[int] = Field(alias='Access', default=2)

    @classmethod
    def from_args(cls, number: int, name: str, text: Optional[str] = None) -> 'DynChannel':
        return cls.model_validate({
            'Number': number,
            'Name': name,
            'Text': Translation.from_string(text or name)
        })

    def with_text(self, s: str) -> 'DynChannel':
        self.text = Translation.from_string(s)
        return self
