from models.base_model import *
from models.parameter import Parameter


class DynChoose(DynamicsWithItemsBase):
    type: Optional[str] = type_field('Kaenx.Creator.Models.Dynamic.DynChooseBlock, Kaenx.Creator')

    name: str = Field(alias='Name')

    is_expanded: Optional[bool] = Field(alias='IsExpanded', default=False)
    parameter_ref: Optional[int] = Field(alias='ParameterRef', default=2)

    @classmethod
    def from_args(cls, name: str, param_ref: int) -> 'DynChoose':
        return cls.model_validate({
            'Name': name,
            'ParameterRef': param_ref
        })

    @classmethod
    def from_param(cls, name: str, param: Parameter) -> 'DynChoose':
        return cls.from_args(name, param.get_ref().uid)
