from models.base_model import *
from models.com_object import ComObject


class DynComObject(DynamicsBase):
    type: Optional[str] = type_field('Kaenx.Creator.Models.Dynamic.DynComObject, Kaenx.Creator')

    name: str = Field(alias='Name', )
    com_object_ref: int = Field(alias='ComObjectRef')

    is_expanded: Optional[bool] = Field(alias='IsExpanded', default=False)
    items: Optional[Any] = Field(alias='Items', default=None)

    @classmethod
    def from_args(cls, name: str, com_object_ref: int) -> 'DynComObject':
        return cls.model_validate({
            'Name': name,
            'ComObjectRef': com_object_ref
        })

    @classmethod
    def from_com_object(cls, com_obj: ComObject) -> 'DynComObject':
        return cls.from_args(
            com_obj.name,
            com_obj.get_ref().uid
        )
