from models.base_model import *
from models.parameter import Parameter


class DynParameter(DynamicsBase):
    type: Optional[str] = type_field('Kaenx.Creator.Models.Dynamic.DynParameter, Kaenx.Creator')

    name: str = Field(alias='Name')
    parameter_ref: int = Field(alias='ParameterRef')

    is_expanded: Optional[bool] = Field(alias='IsExpanded', default=False)
    has_helptext: Optional[bool] = Field(alias='HasHelptext', default=False)
    helptext_id: Optional[int] = Field(alias='HelptextId', default=-1)
    use_icon: Optional[bool] = Field(alias='UseIcon', default=False)
    icon_id: Optional[int] = Field(alias='IconId', default=-1)
    cell: Optional[Any] = Field(alias='Cell', default=None)
    items: Optional[Any] = Field(alias='Items', default=None)
    help_text: Optional[Any] = Field(alias='HelpText', default=None)

    @classmethod
    def from_args(cls, name: str, param_ref: int) -> 'DynParameter':
        return cls.model_validate({
            'Name': name,
            'ParameterRef': param_ref
        })

    @classmethod
    def from_parameter(cls, param: Parameter) -> 'DynParameter':
        return cls.from_args(
            param.name,
            param.get_ref().uid
        )
