from models.base_model import *


class DynWhen(DynamicsWithItemsBase):
    type: Optional[str] = type_field('Kaenx.Creator.Models.Dynamic.DynWhenBlock, Kaenx.Creator')

    name: str = Field(alias='Name')
    condition: str = Field(alias='Condition')

    is_expanded: Optional[bool] = Field(alias='IsExpanded', default=False)
    is_default: Optional[bool] = Field(alias='IsDefault', default=False)

    @classmethod
    def from_args(cls, name: str, condition: str) -> 'DynWhen':
        return cls.model_validate({
            'Name': name,
            'Condition': condition
        })

    @classmethod
    def from_condition(cls, condition: str) -> 'DynWhen':
        return cls.from_args('', condition)
