from typing import *
from collections import defaultdict


class UIDCounter:
    counts: Dict[Any, int] = defaultdict(lambda: 0)

    @classmethod
    def set_count(cls, model: Any, count: int):
        cls.counts[model] = count

    def __call__(self, model: Any) -> int:
        result = self.__class__.counts[model]
        self.__class__.counts[model] += 1
        return result


uid_counter = UIDCounter()
