/*#define FLASH_SIZE (128 * 1024)
#define EEPROM_SIZE (4 * 1024)

#define DATA_EEPROM_BASE    (FLASH_BASE + FLASH_SIZE - EEPROM_SIZE)
#define DATA_EEPROM_END     (FLASH_BASE + FLASH_SIZE - 1)*/

#include <Arduino.h>
#include <AceButton.h>
#include <knx.h>

#include "board_definition.h"
#include "board_io.h"
#include "board_defaults.h"
#include "knx_params_cos.h"
#include "board_ios.h"
#include "knx_init.h"

void setup()
{
    // Onboard LED as output + light it on while booting
    pinMode(LED_PIN, OUTPUT);
    digitalWrite(LED_PIN, HIGH);

    initIos();

    // Setup knx programming button
    pinMode(BUTTON_PIN, INPUT_PULLUP);
    knx.buttonPin(BUTTON_PIN);

    // Setup knx programming LED
    knx.ledPin(LED_PIN);

    // Setup on save interrupt
    pinMode(SAVE_PIN, INPUT_PULLUP);
    attachInterrupt(digitalPinToInterrupt(SAVE_PIN), handleSave, FALLING);

    // Set other knx stuff
    knx.manufacturerId(MAIN_OpenKnxId);
    knx.version(MAIN_ApplicationVersion);

    // Read configuration from memory and configure pins
    knx.readMemory();

    if (knx.configured())
    {
        initConfiguration();
    }

    // Booting done, onboard LED off
    digitalWrite(LED_PIN, LOW);

    // Start knx
    knx.start();
}

void loop()
{
    // Loop knx
    knx.loop();

    if (!knx.configured())
    {
        return;
    }

    // Loop every KnxBoardIO
    loopIos();
}
